qtmultimedia-opensource-src (5.15.10-2+furios1+git20240603160029.fd013de.trixie) trixie; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.15.12.
  * Release to experimental.
  * Start a new changelog entry for 5.15.13.
  * Bump Qt build-dependencies to 5.15.13.
  * Bump my copyright year.
  * Release to experimental.
  * Release to unstable.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New changelog entry.
  * Remove Timo and myself from Uploaders.

  [ Bardia Moshiri ]
  * Merge tag 'upstream/5.15.13' into trixie

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 03 Jun 2024 12:00:29 -0400

qtmultimedia-opensource-src (5.15.10-2+furios1) trixie; urgency=medium

  [ Bardia Moshiri ]
  * debian: initial packaging
  * circleci: add configfs
  * gstreamer: disable camerabin

  [ Tarja Sundqvist ]
  * Update commercial license headers
  * Revert "Update commercial license headers"
  * Bump version
  * Bump version
  * Bump version
  * Bump version
  * Bump version
  * Bump version
  * Merge remote-tracking branch 'origin/tqtc/lts-5.15.4' into tqtc/lts-5.15-opensource
  * Merge remote-tracking branch 'origin/tqtc/lts-5.15.5' into tqtc/lts-5.15-opensource
  * Bump version
  * Merge remote-tracking branch 'origin/tqtc/lts-5.15.6' into tqtc/lts-5.15-opensource
  * Merge remote-tracking branch 'origin/tqtc/lts-5.15.7' into tqtc/lts-5.15-opensource
  * Bump version to 5.15.12
  * Merge remote-tracking branch 'origin/tqtc/lts-5.15.8' into tqtc/lts-5.15-opensource
  * Bump version to 5.15.13
  * Merge remote-tracking branch 'origin/tqtc/lts-5.15.9' into tqtc/lts-5.15-opensource
  * Merge remote-tracking branch 'origin/tqtc/lts-5.15.10' into tqtc/lts-5.15-opensource
  * Merge remote-tracking branch 'origin/tqtc/lts-5.15.11' into tqtc/lts-5.15-opensource
  * Merge remote-tracking branch 'origin/tqtc/lts-5.15.12' into tqtc/lts-5.15-opensource
  * Merge remote-tracking branch 'origin/tqtc/lts-5.15.13' into tqtc/lts-5.15-opensource

  [ Lars Sutterud ]
  * Add Info.plist with NSCameraUsageDescription to qmlvideo example

  [ Bartlomiej Moskal ]
  * Android: Handle Pause() by QAudioRecorder

  [ Andy Shaw ]
  * Add support for m3u8 playlist formats
  * Don't mirror the image from the camera unless it has been flipped
  * Fix linking problem when built with -no-opengl
  * Prevent crash when there is no camera device available
  * Ensure the system libraries are linked against when -no-opengl is used
  * Ensure the system libraries are linked when -opengl dynamic is used
  * Check for the quick module before adding the videonode plugin
  * WMF: don't resume playback after doing a seek while paused.
  * Fix compile issue when building with -no-widgets
  * Enable using the module in a statically built application
  * [Win] Compile fix, the mmdeviceapi.h header can only be included once
  * Only update the texture if the m_glResources are valid
  * iOS: Add Info.plist files to indicate camera and microphone usage
  * Emit the StoppedState change after the file has finished writing
  * DirectShow: Copy the frame data when we get it before emitting
  * AVFoundation: Use 90 for the front facing camera's orientation
  * PulseAudio: Prevent crash when a sound device cannot be created
  * Directshow: Don't report failure for stream source with no video output
  * Use the setDataSource(String) overload for non assets/file paths
  * Remove the mirclient code as this is no longer available
  * Only call CoUnitialize() if calling CoInitialize() was necessary
  * Build without OpenGL support
  * Don't load the specialist videonode plugins when using webgl
  * DirectShow: Handle QVideoFormat::BGR24 in bytesPerLine()
  * Doc: minor fixes re the camera documentation
  * Compile with QT_NO_BEARERMANAGEMENT
  * Revert "Map QVideoFrame::Format_Y8=>QImage::Format_Grayscale8 in QVideoFrame"
  * AVFoundation: Only remove the video output if it is still attached
  * Initialize m_material to nullptr
  * Use the right enum for the loops property

  [ Andrey Yaromenok ]
  * Fix access to multi front/back cameras on Android devices

  [ Artem Dyomin ]
  * Fix crash on macos13 with iphone camera

  [ Doris Verria ]
  * Remove the AVPlayerItemVideoOutput from player item when changing media
  * VideoOutput: Always update geometry when video surface format changes

  [ Ivan Solovev ]
  * VideoOutput: fix resize of a finished video

  [ André de la Rocha ]
  * Windows: Fix cropping for HEVC-encoded videos

  [ Marc Mutz ]
  * QCameraViewFinderSettings: use correct include
  * QCameraViewFinderSettings: make op== non-member
  * QCameraViewFinderSettings: declare shared
  * QCameraViewFinderSettings: make op== transitive
  * QAbstractVideoFilter: make ctor explicit
  * QCameraViewFinderSettings: add missing include
  * Add explicit and make public headers compile with -Wzero-as-null-pointer-constant
  * tst_qdeclarativeaudio: fix ubsan build
  * Use QSharedPointer::create() more
  * Port away from QRegion::rects()
  * Eradicate Java-style iterators and mark the module free of them
  * Fix GCC 9 -Wdeprecated-copy warnings
  * Eradicate all but one Q_FOREACH loop
  * Eradicate the last Q_FOREACH and mark the module clean
  * Move-enable QMediaTimeInterval
  * Port from QMutex::Recursive to QRecursiveMutex
  * AVFCameraUtility: fix UB (std::sort with unfit predicate)
  * QPulseAudioSource: fix UB (memcpy() called with nullptr dest) in read()
  * QAudioHelpers: fix C++20 -Werror,-Wdeprecated-enum-float-conversion

  [ Samuel Mira ]
  * Android: Align emit sequence

  [ Rafael Roquetto ]
  * BlackBerry: fix BbVideoWindowControl window zorder
  * BlackBerry: Fix metadata key for "artist"
  * Remove BlackBerry PlayBook support.
  * QNX: fix KHR image handling

  [ Tunahan Erkoyuncu ]
  * Fix compile error on videonode plugin

  [ Axel Spoerl ]
  * Fix chunk sizing in QPulseAudioSink

  [ Joni Poikelin ]
  * Encode urls passed to media player properly
  * Add notifyInterval for MediaPlayer QML API
  * Fix duration() with very long media with gstreamer

  [ Tor Arne Vestbø ]
  * Update docs after modularization of docs
  * doc: update documentation project name to match module name
  * Use AVPlayerItemVideoOutput to generate video frames
  * Blacklist tst_QAudioOutput on macOS ARM

  [ Lars Knoll ]
  * Remove the last remainders of the old plugin system
  * Remove the WA_PaintOnScreen widget attribute for vide widgets
  * Remove mentioning of -audio-backend command line option
  * Adjust to qtConfig() changes in qtbase
  * Fix compilation after feature modularization in qtbase
  * Move qtmultimedia over to the new config system
  * Cleanup all maemo/meego specific code
  * Remove Blackberry specific code paths
  * Remove leftover OpenGl ES 1 related macros
  * Fix mir detection
  * Add proper global headers for QtMultimedia
  * Use QT_CONFIG macro to check for features
  * Fix a memory leak in the camerabinsession

  [ Andreas Holzammer ]
  * Add mmrenderer configure check
  * [QNX] Introduce env variable for default audio sink
  * Disable wince build
  * Port DirectShow backend to wince
  * wince: revert flipping Video content
  * PulseAudio: Call pa_stream_flush() with PulseDaemonLocker lock held

  [ Joerg Bornemann ]
  * remove usage of QT_MAKEDLL from QtMultimedia
  * centralize and fixup example sources install targets
  * fix build for standard DirectX install paths
  * WinRT: fix namespaced build
  * Fix MinGW build
  * Fix build with ALSA in non-system location
  * Fix false pulse audio dependency of libQt5MultimediaWidgets
  * Fix incorrectly generated CMake files for the QNX audio plugin

  [ Dmitry Shachnev ]
  * Add support for running on big-endian systems
  * Fix some typos in strings.
  * tst_qvideoframe: Increase buffer sizes used in image() tests

  [ Pablo Luis Garcia ]
  * macOS: Fix video rendering on with OpenGL Core profile

  [ Jani Heikkinen ]
  * Merge remote-tracking branch 'origin/release' into stable
  * remove unnecessary LICENSE.GPLv2
  * Updated WinRT license headers to use LGPLv3 instead of LGPLv21
  * Replaced old license headers with new and correct ones
  * Fix licensing
  * Add changes file for Qt 5.6.3
  * Blacklist qmediaplayerbackend tests in all versions of windows
  * Update plugins.qmltypes for 5.15
  * Bump version
  * Bump version
  * Bump version

  [ Samuli Piippo ]
  * imx6 video plugin depends on gstreamer

  [ Paul Wicking ]
  * Doc: Remove space that causes QDoc warning
  * Doc: Remove QDoc warnings in Qt Multimedia
  * Doc: Add missing dots (qtmultimedia)
  * Doc: Use correct property name for videoRecorder
  * Merge 5.12 into 5.12.5
  * Doc: Fix typo

  [ Antti Kokko ]
  * Update license headers and add new license files
  * Update copyright headers
  * Updated license headers
  * Updated license headers
  * Updated license headers
  * Add changelog for 5.7.0.
  * Add changes file for 5.9.0
  * Add changes file for 5.9.1
  * Add changes file for Qt 5.9.2
  * Add changes file for Qt 5.9.3
  * Add changes file for Qt 5.10.0
  * Add changes file for Qt 5.9.4
  * Add changes file for Qt 5.10.1
  * Add changes file for Qt 5.11.0
  * Add changes file for Qt 5.9.5
  * Add changes file for Qt 5.9.6
  * Add changes file for Qt 5.11.1
  * Add changes file for Qt 5.11.2
  * Add changes file for Qt 5.12.0
  * Add changes file for Qt 5.11.3
  *  Add changes file for Qt 5.12.1
  * Add changes file for Qt 5.12.2
  * Add changes file for Qt 5.12.3
  * Add changes file for Qt 5.13.0
  * Add changes file for Qt 5.12.4
  * Merge "Add changes file for Qt 5.12.4"
  * Add changes file for Qt 5.13.1
  * Add changes file for Qt 5.12.5
  * Add changes file for Qt 5.13.2
  * Add changes file for Qt 5.14.0
  * Add changes file for Qt 5.14.1
  * Add changes file for Qt 5.14.2
  * Add changes file for Qt 5.15.0
  * Add changes file for Qt 5.15.1
  * Add changes file for Qt 5.12.10
  * Add changes file for Qt 5.15.2

  [ Luca Carlon ]
  * configure: add option to allow building without evr support
  * Build fix for DirectShow plugin when EVR is disabled
  * Introduce a new environment variable to disable EVR in DirectShow
  * Fix nullptr dereference in directshow plugin

  [ Val Doroshchuk ]
  * Convert ARGB32 to premultiplied
  * Fix crash when an app is sent to background while capturing an image
  * Fix deadlock when a new url is set in loading state
  * wasapi: Initialize COM before use
  * WindowsAudio: Remove unneeded Sleep() when stopping playback
  * Fix crash when no supported formats are returned
  * Windows: Fix EVR's rendering of GLTextureHandle frames
  * DirectShow: Use pixel aspect ratio
  * DirectShow: Fix memory leak in CLSID_FilterGraph
  * DirectShow: Fix rendering of overlapping MDI subwindows
  * DirectShow: Add initialization of com library to service plugin
  * Update player state after QMediaPlayer::EndOfMedia
  * DirectShow: Fix rendering of overlapping MDI subwindows
  *  Fix shader compilation failure
  * WindowsAudio: Pause playback before reset
  * DirectShow: Emit an error if QCamera::start() fails
  * DirectShow: Add warning when not supported playback rate applied
  * DirectShow: Fix blank QVideoWidget when it is paused
  * Fix target rectangle coordinates while painting image with QPainter
  * WinRT: Read data in callback to prevent deadlock
  * WinRT: Fix white screen for camera output
  * WinRT: Keep camera as uninitialized when error
  * WinRT: Add ref to prevent seg fault
  * DirectShow: Fix crackling when playing custom sample rate
  * Set geometry for recreated video renderer backend
  * Fix adjusting volume for default device
  * QSoundEffect: Release QAudioOutput when new source url applied
  * QSoundEffect: Check if network access manager is already released
  * Wasapi: Always use multithreaded concurrency model in initialization
  * tst_qmediaplaylist: Fix multiple definition error in static builds
  * DirectShow: Postpone setting camera image processing param if not ready
  * DirectShow: Notify if camera has been unplugged
  * Android: Fix the player state when play() is called with no media
  * Do not use QMediaResource internally
  * Android: Fix crash when play() is called but state is not set
  * DirectShow: Implement image capture settings
  * EVR: Fix crash when video source is changed and ANGLE is used
  * Android: Change video frame format from BGR32 to ABGR32
  * EVR: Fix crash when no resources created
  * DirectShow: Fix typo which breaks camera
  * GraphicsVideoItem: Interpret ARGB32 as premultiplied
  * DirectShow: Fix crash when camera destroyed
  * WindowsAudioOutput: Introduce QT_WAVE_BUFFERS env var
  * Deprecate QMediaResource class
  * Setup QVideoFrame::Format_ABGR32
  * DirectShow: Stop surface on EndOfStream
  * DirectShow: Display windows error string when camera fails
  * DirectShow: Move parsing of the metadata to worker thread
  * Windows: Repaint QVideoWidget when WM_PAINT or WM_ERASEBKGND received
  * DirectShow: Restart not active surface when frame is received
  * DirectShow: Don't queue video buffers from sample grabber
  * VideoOutput: Download data of flush video frame if it has a handle
  * Fix conversion from QVideoFrame to QImage to respect bytesPerLine
  * Fix test to pass when wave is not available
  * Allow disabling directshow or wmf plugin
  * Introduce QT_MULTIMEDIA_PREFERRED_PLUGINS env var
  * Windows: Build directshow media player with wmf if available
  * DirectShow: Fix video and audio probes in media player
  * Gstreamer: add support for ksvideosrc within camerabin
  * Fix QCameraInfo to be invalid if camera failed to find device
  * Enable gstreamer support for Windows and macOS
  * Return default camera with not empty name
  * Android: Fix memory leak of GL resources
  * DirectShow: Fix crash when camera is being destroyed
  * Android: Implement audio roles
  * Fix QPainterVideoSurface test to respect libGLESv2
  * Fix typo in QPainterVideoSurface test
  * Fix QPainterVideoSurface test to respect libGLES
  * Gstreamer: Fix compilation error with 0.10 version
  * AVFoundation: Fix typos
  * Android: Introduce HTTP headers to MediaPlayer
  * Android: Use CaptureStillImage as default capture mode
  * Android: Fix tst_QCameraBackend to wait for imageCaptured
  * Android: Move test files to qrc in tst_QSoundEffect
  * Android: Move inline qml to separate file in tests
  * Android: Fix status of QMediaRecorder after start/stop
  * Android: Fix tst_QCameraBackend to find FinalizingStatus
  * Android/AudioTrack: Fix crash when it is unable to get min buffer size
  * QWindowsAudioInput: Set volume only if it has been requested
  * EVR: Don't repaint with black until the surface is active
  * Windows: Reset position on pause in QMediaPlayer after EOS
  * DirectShow: Don't hide returned error when video output was not provided
  * Android: Don't postpone setting of camera's state
  * Android: Don't open camera if it was already opened
  * Android: Allow starting camera without viewfinder available
  * DirectShow: Don't set the same media
  * DirectShow: Don't update status on pending tasks when graph is loaded
  * EVR: Remove setting of start/end times in QVideoFrame
  * DirectShow: Report about an error for wrong urls
  * Fix compile issue when no opengl in QVideoSurfacePainter
  * DirectShow: Map MEDIASUBTYPE_RGB24 to QVideoFrame::Format_BGR24
  * GStreamer: Fix 0.10 compile error
  * DirectShow: Set QMediaPlayer::NoMedia if empty url is provided
  * VideoOutput: Update geometry only when the surface is active
  * Make QAudioDeviceInfo::realm() public
  * DirectShow: Fix crash when there is no surface on flush()
  * DirectShow: Add startTime and endTime to QVideoFrame
  * Deprecate QMediaServiceProviderPlugin
  * Include moc files after QT_END_NAMESPACE
  * DirectShow: Allow QMediaPlayer in secondary thread
  * DirectShow: Implement QMediaVideoProbeControl->flush
  * DirectShow: Fix tst_QMediaPlayerBackend::surfaceTest
  * Fix leaking QVideoFilterRunnable when window is closed
  * DirectShow: Fix tst_QMediaPlayerBackend::seekPauseSeek
  * DirectShow: Emit media status before error
  * DirectShow: Don't seek if playback is stopped
  * Override QGraphicsItem::type in QGraphicsVideoItem
  * DirectShow: Fix crash when media in qrc is set twice
  * WinRT: Ignore media in MediaPlayer only if stream is not changed too
  * Fix qConvertFuncs to respect QVideoFrame::Format_ABGR32 in the end
  * Fix qConvertFuncs to respect QVideoFrame::Format_YUV422P
  * Fix tst_qcamerabackend.cpp to pass if capturing to JPEG is not supported
  * GStreamer: Add support of Android
  * Android: Fix fetching video frame data from the GUI thread
  * Android: Don't close camera when recording permission is asked
  * Android: Remove usage of qt_androidRequestPermission
  * AVF: Don't apply settings if the camera is not active yet
  * Call parent methods in QVideoSurfaces's start and stop
  * AVF: Set the stopped state before emitting the status after EOS
  * Handle supportedFormatsChanged in QVideoSurfaces
  * AVF: Check supported surface's pixel formats to enable gl
  * AVF: Always lock the capture device when start the camera
  * AVF: Don't use deprecated AVPlayerItem::seekToTime::CMTime
  * AVF: Fix applying viewfinder settings for iOS
  * AVF: Don't override AVPlayerLayer's bounds if already set
  * AVF: Introduce adoption of AVAssetResourceLoaderDelegate protocol
  * AVF: Use supported pixel formats from video surface in Camera
  * DirectShow: Round stop position down to available bytes in IAsyncReader
  * WMF: Fix memory leak in MFPlayerSession::getStreamType
  * DirectShow: Use MEDIASUBTYPE_Y800 as QVideoFrame::Format_Y8
  * WindowsAudio: Send stateChanged when QAudioOutput::reset() is called
  * CoreAudio: Don't apply audio category if it is not needed
  * AVF: Introduce QCameraCaptureDestinationControl_iid
  * DirectShow: Use also pin category when negotiating

  [ Ratchanan Srirattanamet ]
  * CameraBin: do fetch viewfinder settings even after LoadedStatus
  * Gstreamer: also remove features when simplifying caps
  * Create QML camera.viewfinder eagerly
  * CameraBin: unset GValues after finish using them
  * Gstreamer: fix camerabin's supported focus point mode

  [ Alexandru Croitor ]
  * Bump version
  * Merge 5.15 into 5.15.0
  * Bump version

  [ VaL Doroshchuk ]
  * Adjust timeouts for QSounds auto tests
  * PulseAudio: Support 24 bit frames
  * PulseAudio: Reject unsupported audio formats
  * Modernize the Video Graphics Item example
  * Modernize the Player example
  * Modernize the Audio Devices example
  * Modernize the Audio Input example
  * Modernize the Audio Output example
  * Modernize the Audio Recorder example
  * Modernize the Camera example
  * Modernize the Video Widget example
  * Modernize the Declarative Radio example
  * GStreamer: Fix V4L input query
  * Fix loading remote m3u files
  * Don't discard the surface format when creating a video node
  * Gstreamer: Fix memory leak in QGstreamerAudioDecoderSession
  * Gstreamer: Fix memory leak in CameraBinSession
  * ALSA: Don't check the device name in open()
  * GStreamer: Emit an error if no input device provided for QCamera
  * GStreamer: Always notify CameraBinSession if a device has been selected
  * Fix rendering issue with QGraphicsView and QOpenGLWidget viewport
  * Fix memory leak in QSoundEffect
  * GStreamer: Prevent calling CameraBinSession::setStateHelper twice
  * PulseAudio: Fix deadlock for QSoundEffect in setMuted, setVolume
  * Fix precision loss in QDeclarativeVideoRendererBackend::adjustedViewport
  * QML: Use alpha channel for ARGB32 video frames
  * Revert "GStreamer: Prevent calling CameraBinSession::setStateHelper twice"
  * Add test for checking error handling on start
  * Gstreamer: Emit an error if QCamera::start() fails
  * Audiocapture: Fix setting QAudioEncoderSettings::bitRate
  * Allow to receive mouse move events in QVideoWidget
  * Gstreamer: Fix setting vaapi sink properties
  * Gstreamer: Fix leak in prepare-window-handle message
  * Support changing of volume in 24-bit audio samples
  * PulseAudioOutput: Emit QAudio::StoppedState on QAudio::OpenError
  * CameraBin: Postpone fetching supported viewfinder settings
  * Gstreamer: Show warning on error from QGstreamerRecorderControl
  * Gstreamer: Use gst_parse_launch in QT_GSTREAMER_CAMERABIN_VIDEOSRC
  * AVFoundation: Fix crash when no video capture device
  * AVFoundation: Do not use AVFVideoRendererControl if no opengl
  * AVFoundation: Use opengl context from surface as shared
  * Gstreamer: Fix crash when resolution or frame rates are requested
  * Gstreamer: Fix gst_mini_object_unref: assertion refcount > 0 failed
  * Gstreamer: Set video-profile to CameraBin before GST_STATE_READY
  * Gstreamer: Allow to use gst specific features
  * Gstreamer: Introduce custom pipeline
  * Fix Gstreamer plugin to pass tst_QMediaPlayerBackend
  * Pulse: Fix crash when stop() is called while reading buffers
  * Gstreamer: Fix undeclared identifier QGstVideoRendererSink in 0.10 ver
  * imx: Fallback to copying data if mapping has not succeeded
  * Gstreamer: Emit stateChanged(StoppedState) when recording is finished
  * Gstreamer: Fix camera example to apply video settings
  * Gstreamer: Fix compiling issue with < 1.1.3 ver
  * Alsa: Do not open device twice in QSoundEffect
  * Gstreamer: Do not create video profile if no codec provided
  * VideoOutput: Introduce flushMode property
  * CoreAudio: Decrease volume when playback is stopped on macOS
  * PulseAudio: Introduce QT_PA_CHANNEL_MAP for QAudioOutput
  * WMF: Map PKEY_Media_EncodingSettings to QMediaMetaData::Description
  * Fix QCamera::testCameraLockCancel test
  * Return ServiceMissingError if no camera found by name
  * Gstreamer: Negotiate default settings before encoding container profile
  * Gstreamer: Set custom pipeline using url
  * Gstreamer: Return GstBuffer from QGstVideoBuffer
  * Introduce QVideoFrame::buffer()
  * Gstreamer: Add support of avfvideosrc for camerabin
  * Fix crash in player example when close the window while playing
  * Do not ignore tst_*.qml
  * Gstreamer: Set surface from renderer before creating pipeline
  * Do not use QMediaResource in QMediaContent
  * Add a revision of QML VideoOutput flushMode property to 5.13
  * QML: Make QtAudioEngine import available under 1.QT_MINOR_VERSION
  * Fix QCameraInfo to be invalid if camera failed to find device
  * AVFoundation: Use $PRODUCT_NAME in Info.plist only for macx-xcode spec
  * QtMultimediaQuick: Move headers from multimedia dir
  * Gstreamer: Don't reset pipeline to GST_STATE_NULL when EndOfStream
  * AVFoundation: Fix sending proper state in QMediaRecorder
  * QGraphicsVideoItem: Always use generic painter when no gl paint engine
  * Deprecate canonicalUrl and canonicalRequest in QMediaContent
  * Gstreamer: Fix deadlock when state is requested in ASYNC mode
  * Use QOpenGLContext::makeCurrent if QGLContext::makeCurrent failed
  * Gstreamer: Introduce support of OpenGL plugin
  * Gstreamer: Allow streams in custom pipelines
  * GStreamer: Fix crash when the bus helper is destroyed
  * GStreamer: Dump dot file if GST_DEBUG_DUMP_DOT_DIR is set
  * Gstreamer: Pass GstUDPSrc's caps via "udpsrc.caps=" url's query item
  * GStreamer: Return busy cameras in QCameraInfo::availableCameras
  * Fix crash when app is destroyed before QSample::load is finished
  * Camera: Update the doc about supported viewfinder settings
  * GStreamer: Implement fetching audio/video codecs by container
  * AVFoundation: Fix memory leak when gl context is changed
  * GStreamer: Allow audio/x-raw codec in QAudioRecorder
  * GStreamer: Don't share video surfaces between several pipelines
  * Fix undefined reference to QVideoSurfacePainter::~QVideoSurfacePainter
  * GStreamer: Don't seek to the beginning when playing is requested
  * CameraBinV4LImageProcessing: Show warning only if the camera is loaded
  * Deprecate Qt Audio Engine QML types
  * GStreamer: Add docs for custom pipelines
  * CameraBinV4LImageProcessing: Show additional info in case of errors
  * Deprecate QMediaServiceProviderPlugin
  * Make QMediaServicePrivate as QObjectPrivate
  * Make QMediaObjectPrivate as QObjectPrivate
  * Fix crash when VideoOutput.sourceRect is requested but playback is stopped
  * GStreamer: Use member initialization
  * Fix deprecation condition for QMediaResource
  * Add doc for QMediaContent::request
  * Move QVideoFrame::Format_YUV422P to the end of the Pixel Formats
  * Move QVideoFrame::Format_ABGR32 to the end of the Pixel Formats
  * Add since tag to QMediaContent::request
  * GStreamer: Recreate playbin after custom pipeline
  * Deprecate QRadioTuner and QRadioData
  * imx6: Fix mapping VPU texture using real physical address of data
  * AVF: Emit StalledMedia when unbuffered and resume playback afterwards
  * Remove Format_ABGR32 from supported formats for sq texture video node
  * Introduce QVideoFrame::image()
  * ALSA: Calculate buffer size based on min period time
  * GStreamer: Fix crash when video sink is used when it has been destroyed
  * Introduce rendering to multiple surfaces
  * Disable tst_QMediaPlayerBackend for MSVC 2019
  * DirectShow: Disable QVideoFrame::image() test
  * Expose video surfaces in rendering components
  * Android: Fix loading multimedia plugins
  * GStreamer: Don't create encoding profile if container is not supported
  * Introduce MediaPlayer::videoOutput property
  * Make video surfaces constant
  * GStreamer: Introduce reverse playback
  * Deprecate QMediaService and QMediaControl
  * Android: Flush qrc to tmp file with original name
  * Remove usage of QGL* APIs
  * Android: Fix invalid use of incomplete type 'QDir'
  * WMF: Fix memory leak in MFPlayerSession::getStreamType
  * Increase margin of error in tst_QMediaObject::notifySignals()
  * Increase margin of error in tst_QMediaObject::notifySignals()
  * GStreamer: Allow using different resolution for capture and viewfinder
  * QMediaPlayer: Update gst-pipeline docs
  * Add flushMode to Video QML element
  * Skip all tst_QMediaPlayerBackend tests when there is no codec available
  * PulseAudio: Discard buffer with outdated volume in QSoundEffect
  * Blacklist tst_QAudioOutput tests if it is running in CI
  * tst_QMediaObject: Remove checking of expected elapsed time
  * GStreamer: Remove file when CaptureToBuffer is used
  * GStreamer: Fix reverse playback
  * Vivante: Keep only one frame
  * iMX: Introduce QT_GSTREAMER_PLAYBIN_CONVERT to inject a converter in playbin
  * GStreamer: Remove dependency to gstreamer_imxcommon
  * Map QVideoFrame::Format_Y8=>QImage::Format_Grayscale8 in QVideoFrame
  * GStreamer: Start playback when buffered
  * Don't map QMemoryVideoBuffer when there is no data inside
  * GStreamer: Update render rect only if open gl sink is used

  [ Milla Pohjanheimo ]
  * Blacklist qtmultimedia autotests that have been failing since RHEL 6.6
  * tst_qaudioinput blacklist pushSuspendResume on RHEL 7.2
  * Blacklist tst_qaudioinput and tst_qaudiooutput tests from OpenSUSE 42.1
  * Blacklisting pushSuspendResume for Ubuntu 16.04
  * Blacklisting tst_QSoundEffect::testLooping on OpenSUSE 42.1
  * Blacklisting tst_QSoundEffect::testLooping on Ubuntu 16.04
  * Blacklisting playPauseStop() on all Linuxes
  * BC data files for QtMultimedia for Qt 5.6
  * BC data files added for QtMultimedia (5.7)
  * Stabilize tst_QAudioOutput::pull() and push() autotests
  * Stabilize pushSuspendResume() autotest
  * Blacklist testSetSourceWhilePlaying() in 5.6
  * Update binary compatibility files for Qt 5.9.0 for QtMultimedia
  * Add binary compatibility files for QtMultimedia for 5.10
  * Add binary compatibility files for Qt 5.11 for QtMultimedia
  * Add binary compatibility files for 5.12 for QtMultimedia
  * Binary compatibility files for Qt 5.13.0 for QtMultimedia
  * Add binary compatibility files for qtmultimedia 5.14 branch
  * Add binary compatibility files for 5.15 for QtMultimedia

  [ Alexander Volkov ]
  * Examples: Add missing override
  * Add missing override and remove redundant virtual
  * GStreamer camerabin: Add missing override and remove redundant virtual
  * GStreamer: Add missing override and remove redundant virtual
  * Make pulseaudio dependency private
  * GStreamer: support video orientation
  * Add missing override

  [ Nick Korotysh ]
  * AVFoundation: fix playback of files with spaces in their names

  [ Rolf Eike Beer ]
  * WavFile example: fix indentation
  * WavFile example: drop needless includes
  * DirectShow plugin: use nullptr instead of NULL
  * DirectShow plugin: use new style connect syntax
  * use correct types when creating an empty Windows event
  * QMediaPlayer: use new connect syntax
  * MultimediaGstTools: fix string warnings when defining DEBUG_PLAYBIN
  * QGstreamerPlayerSession: build list of debug strings only once
  * GstreamerPlayerControl: use new style connect syntax
  * QMediaPlayList: use new style connect syntax
  * QGstreamerPlayerControl: do not touch m_mediaStatus if it is EndOfMedia
  * QMediaPlaylistProvider::removeMedia(int,int): fix wrong sequence
  * gsttools: use auto for variables assigned from qobject_cast<>
  * gsttools: use nullptr instead of NULL
  * gsttools: do not check pointer before calling free()
  * gsttools: do not use nullptr in C code

  [ Qt Forward Merge Bot ]
  * Merge remote-tracking branch 'origin/5.11' into dev
  * Merge remote-tracking branch 'origin/5.11' into dev
  * Merge remote-tracking branch 'origin/5.11' into dev
  * Merge remote-tracking branch 'origin/5.11' into dev
  * Merge remote-tracking branch 'origin/5.11' into dev
  * Merge remote-tracking branch 'origin/5.11' into dev
  * Merge remote-tracking branch 'origin/5.11' into dev
  * Merge remote-tracking branch 'origin/5.11' into dev
  * Merge remote-tracking branch 'origin/5.11.0' into 5.11
  * Merge remote-tracking branch 'origin/5.11' into dev
  * Merge remote-tracking branch 'origin/5.11' into dev
  * Merge remote-tracking branch 'origin/5.11' into dev
  * Merge remote-tracking branch 'origin/5.11' into dev
  * Merge remote-tracking branch 'origin/5.11.1' into 5.11
  * Merge "Merge remote-tracking branch 'origin/5.11.1' into 5.11" into refs/staging/5.11
  * Merge remote-tracking branch 'origin/5.11' into dev
  * Merge remote-tracking branch 'origin/5.11' into dev
  * Merge remote-tracking branch 'origin/5.11' into dev
  * Merge remote-tracking branch 'origin/5.11' into dev
  * Merge remote-tracking branch 'origin/5.11' into dev
  * Merge remote-tracking branch 'origin/5.11' into dev
  * Merge remote-tracking branch 'origin/5.11' into 5.12
  * Merge remote-tracking branch 'origin/5.12' into dev
  * Merge remote-tracking branch 'origin/5.11' into 5.12
  * Merge remote-tracking branch 'origin/5.11.2' into 5.11
  * Merge remote-tracking branch 'origin/5.11' into 5.12
  * Merge remote-tracking branch 'origin/5.12' into dev
  * Merge remote-tracking branch 'origin/5.11' into 5.12
  * Merge remote-tracking branch 'origin/5.12' into dev
  * Merge remote-tracking branch 'origin/5.11' into 5.12
  * Merge remote-tracking branch 'origin/5.12' into dev
  * Merge remote-tracking branch 'origin/5.11' into 5.12
  * Merge remote-tracking branch 'origin/5.12' into dev
  * Merge remote-tracking branch 'origin/5.11' into 5.12
  * Merge remote-tracking branch 'origin/5.12' into dev
  * Merge remote-tracking branch 'origin/5.12' into dev
  * Merge remote-tracking branch 'origin/5.11.3' into 5.11
  * Merge remote-tracking branch 'origin/5.12.0' into 5.12
  * Merge remote-tracking branch 'origin/5.11' into 5.12
  * Merge remote-tracking branch 'origin/5.12' into dev
  * Merge remote-tracking branch 'origin/5.12' into dev
  * Merge remote-tracking branch 'origin/5.12.1' into 5.12
  * Merge remote-tracking branch 'origin/5.12' into 5.13
  * Merge remote-tracking branch 'origin/5.13' into dev
  * Merge remote-tracking branch 'origin/5.12' into 5.13
  * Merge remote-tracking branch 'origin/5.13' into dev
  * Merge remote-tracking branch 'origin/5.12' into 5.13
  * Merge remote-tracking branch 'origin/5.13' into dev
  * Merge remote-tracking branch 'origin/5.12' into 5.13
  * Merge remote-tracking branch 'origin/5.13' into dev
  * Merge remote-tracking branch 'origin/5.12' into 5.13
  * Merge remote-tracking branch 'origin/5.13' into dev
  * Merge remote-tracking branch 'origin/5.13' into dev
  * Merge remote-tracking branch 'origin/5.12.2' into 5.12
  * Merge remote-tracking branch 'origin/5.12' into 5.13
  * Merge remote-tracking branch 'origin/5.13' into dev
  * Merge remote-tracking branch 'origin/5.13' into dev
  * Merge remote-tracking branch 'origin/5.12' into 5.13
  * Merge remote-tracking branch 'origin/5.13' into dev
  * Merge remote-tracking branch 'origin/5.13' into dev
  * Merge remote-tracking branch 'origin/5.13' into dev
  * Merge remote-tracking branch 'origin/5.12.3' into 5.12
  * Merge remote-tracking branch 'origin/5.12' into 5.13
  * Merge remote-tracking branch 'origin/5.13' into dev
  * Merge remote-tracking branch 'origin/5.13' into dev
  * Merge remote-tracking branch 'origin/5.12' into 5.13
  * Merge remote-tracking branch 'origin/5.13' into dev
  * Merge remote-tracking branch 'origin/5.12' into 5.13
  * Merge remote-tracking branch 'origin/5.13' into dev
  * Merge remote-tracking branch 'origin/5.13' into dev
  * Merge "Merge remote-tracking branch 'origin/5.13' into dev"
  * Merge remote-tracking branch 'origin/5.13' into dev
  * Merge "Merge remote-tracking branch 'origin/5.13' into dev"
  * Merge remote-tracking branch 'origin/5.12' into 5.13
  * Merge "Merge remote-tracking branch 'origin/5.12' into 5.13"
  * Merge remote-tracking branch 'origin/5.12.4' into 5.12
  * Merge "Merge remote-tracking branch 'origin/5.12.4' into 5.12"
  * Merge remote-tracking branch 'origin/5.13.0' into 5.13
  * Merge "Merge remote-tracking branch 'origin/5.13.0' into 5.13"
  * Merge remote-tracking branch 'origin/5.13' into dev
  * Merge "Merge remote-tracking branch 'origin/5.13' into dev"
  * Merge remote-tracking branch 'origin/5.12' into 5.13
  * Merge "Merge remote-tracking branch 'origin/5.12' into 5.13"
  * Merge remote-tracking branch 'origin/5.12' into 5.13
  * Merge remote-tracking branch 'origin/5.13' into dev
  * Merge "Merge remote-tracking branch 'origin/5.12' into 5.13"
  * Merge "Merge remote-tracking branch 'origin/5.13' into dev"
  * Merge remote-tracking branch 'origin/5.12' into 5.13
  * Merge "Merge remote-tracking branch 'origin/5.12' into 5.13"
  * Merge remote-tracking branch 'origin/5.13' into dev
  * Merge "Merge remote-tracking branch 'origin/5.13' into dev"
  * Merge remote-tracking branch 'origin/5.13' into dev
  * Merge "Merge remote-tracking branch 'origin/5.13' into dev"
  * Merge remote-tracking branch 'origin/5.13' into dev
  * Merge "Merge remote-tracking branch 'origin/5.13' into dev"
  * Merge remote-tracking branch 'origin/5.12' into 5.13
  * Merge "Merge remote-tracking branch 'origin/5.12' into 5.13"
  * Merge remote-tracking branch 'origin/5.13' into dev
  * Merge "Merge remote-tracking branch 'origin/5.13' into dev"
  * Merge remote-tracking branch 'origin/5.12' into 5.13
  * Merge "Merge remote-tracking branch 'origin/5.12' into 5.13"
  * Merge remote-tracking branch 'origin/5.13' into dev
  * Merge "Merge remote-tracking branch 'origin/5.13' into dev"
  * Merge remote-tracking branch 'origin/5.12' into 5.13
  * Merge "Merge remote-tracking branch 'origin/5.12' into 5.13"
  * Merge remote-tracking branch 'origin/5.13' into dev
  * Merge "Merge remote-tracking branch 'origin/5.13' into dev"
  * Merge remote-tracking branch 'origin/5.12' into 5.13
  * Merge "Merge remote-tracking branch 'origin/5.12' into 5.13"
  * Merge remote-tracking branch 'origin/5.13' into 5.14
  * Merge "Merge remote-tracking branch 'origin/5.13' into 5.14"
  * Merge remote-tracking branch 'origin/5.13.1' into 5.13
  * Merge "Merge remote-tracking branch 'origin/5.13.1' into 5.13"
  * Merge remote-tracking branch 'origin/5.12.5' into 5.12
  * Merge "Merge remote-tracking branch 'origin/5.12.5' into 5.12"
  * Merge remote-tracking branch 'origin/5.12' into 5.13
  * Merge "Merge remote-tracking branch 'origin/5.12' into 5.13"
  * Merge remote-tracking branch 'origin/5.13' into 5.14
  * Merge "Merge remote-tracking branch 'origin/5.13' into 5.14"
  * Merge remote-tracking branch 'origin/5.14' into 5.15
  * Merge "Merge remote-tracking branch 'origin/5.14' into 5.15"
  * Merge remote-tracking branch 'origin/5.13' into 5.14
  * Merge "Merge remote-tracking branch 'origin/5.13' into 5.14"
  * Merge remote-tracking branch 'origin/5.14' into 5.15
  * Merge "Merge remote-tracking branch 'origin/5.14' into 5.15"
  * Merge remote-tracking branch 'origin/5.13' into 5.14
  * Merge remote-tracking branch 'origin/5.14' into 5.15
  * Merge remote-tracking branch 'origin/5.13' into 5.14
  * Merge remote-tracking branch 'origin/5.14' into 5.15
  * Merge remote-tracking branch 'origin/5.13' into 5.14
  * Merge remote-tracking branch 'origin/5.14' into 5.15
  * Merge remote-tracking branch 'origin/5.13' into 5.14
  * Merge remote-tracking branch 'origin/5.14' into 5.15
  * Merge remote-tracking branch 'origin/5.13.2' into 5.13
  * Merge remote-tracking branch 'origin/5.13' into 5.14
  * Merge remote-tracking branch 'origin/5.13' into 5.14
  * Merge remote-tracking branch 'origin/5.13' into 5.14
  * Merge remote-tracking branch 'origin/5.14' into 5.15
  * Merge remote-tracking branch 'origin/5.14' into 5.15
  * Merge remote-tracking branch 'origin/5.14.0' into 5.14
  * Merge remote-tracking branch 'origin/5.14' into 5.15
  * Merge remote-tracking branch 'origin/5.14' into 5.15
  * Merge remote-tracking branch 'origin/5.14' into 5.15
  * Merge remote-tracking branch 'origin/5.14' into 5.15
  * Merge remote-tracking branch 'origin/5.14' into 5.15
  * Merge remote-tracking branch 'origin/5.14.1' into 5.14
  * Merge remote-tracking branch 'origin/5.14' into 5.15
  * Merge remote-tracking branch 'origin/5.14' into 5.15
  * Merge remote-tracking branch 'origin/5.14' into 5.15
  * Merge remote-tracking branch 'origin/5.14' into 5.15
  * Merge remote-tracking branch 'origin/5.14' into 5.15
  * Merge remote-tracking branch 'origin/5.14' into 5.15
  * Merge "Merge remote-tracking branch 'origin/5.14' into 5.15"
  * Merge remote-tracking branch 'origin/5.14' into 5.15
  * Merge remote-tracking branch 'origin/5.14' into 5.15
  * Merge remote-tracking branch 'origin/5.14' into 5.15
  * Merge remote-tracking branch 'origin/5.14' into 5.15
  * Merge remote-tracking branch 'origin/5.14' into 5.15
  * Merge "Merge remote-tracking branch 'origin/5.14' into 5.15"
  * Merge remote-tracking branch 'origin/5.14.2' into 5.14
  * Merge remote-tracking branch 'origin/5.14' into 5.15
  * Merge remote-tracking branch 'origin/5.14' into 5.15.0
  * Merge remote-tracking branch 'origin/5.15.0' into 5.15

  [ Kai Koehne ]
  * Update plugins.qmltypes
  * Examples: Remove qmlapplicationviewer template.
  * Use qrc to deploy qml files in declarative-camera examples
  * Replace win32-g++ with mingw scope
  * Fix autotests expecting a trailing whitespace for qDebug stream
  * Fix compilation with -no-opengl
  * Mention license change in 5.7.0 changelog.
  * Fix outdated FDL license header
  * Fix outdated BSD license header
  * Fix license of .cpp files to LGPL
  * Document licenses
  * Doc: Fix name of Multimedia Widgets module
  * Automatically register the latest import version
  * Update plugins.qmltypes
  * Fix static build on Windows
  * Doc: Fix documented QtMultimedia import
  * Update plugins.qmltypes for Qt 5.13
  * Update plugins.qmltypes for audioengine in 5.13
  * Update plugins.qmltypes for 5.14
  * Remove QRadioTuner from index page

  [ Mårten Nordheim ]
  * Deprecate functions taking bearermanagement-related classes
  * QNetworkReply: Fix use of deprecated error signal
  * Update connect to QSocketNotifier::activated
  * Suppress QMediaNetworkAccessControl related deprecation warnings

  [ Marius Kittler ]
  * EVR: Prevent redefinition of MFVideoNormalizedRect
  * Fix case of header file includes for building with mingw-w64

  [ Thiago Macieira ]
  * Rename the daemon global static to pulseDaemon
  * Change uses of {to,from}Ascii to {to,from}Latin1
  * QIODevice* is used, but QIODevice was never declared
  * syncX() doesn't do anything anymore. Remove it.
  * Update the export macros in qtmultimedia.git
  * QAbstractItemMode::reset() is deprecated, don't use it
  * Set the Qt API level to compatibility mode in all tests.
  * QRegion::subtract is deprecated
  * Use QStandardPaths instead of QDesktopServices
  * Add a missing include for Q_MULTIMEDIA_EXPORT
  * Compile in C++11 mode: the Q_DECLARE_METATYPE must be visible
  * Update the git-archive export options
  * Fix compilation after the qreal->float change in Math3D
  * Remove comma at the end of the enum
  * Add virtual destructors to two classes with other virtuals
  * Add a changelog for the BC break
  * Fix warnings in qtmultimedia
  * Fix warnings found by GCC 4.8 in qtmultimedia
  * Remove Q_PACKED from structs that don't need to be packed
  * Bump qtmultimedia version to 5.3.0
  * Update changelog for 5.2.1
  * Normalize signal & slot signatures in connection
  * Bump module version to 5.4.0
  * Add missing virtual destructor for new class
  * Tell glib not to complain about the use of API recently deprecated
  * Fix change-of-sign warning
  * Fix build with Mesa EGL
  * Add a declaration to QIODevice
  * Add necessary includes that were indirect
  * Fix Clang warning about comparison of different signs
  * Remove unused private members
  * Disable warning about QObject::event being hidden
  * Don't list avfcamerainfocontrol header and sources twice
  * Fix warnings about unused private fields
  * Add the GPLv3 license text
  * Suppress the -Wfloat-equal warning
  * Fix goto bypassing variable initialization
  * Use QRandomGenerator instead of q?rand
  * Fix warnings about casting between QString and narrow character
  * Update to new QRandomGenerator API
  * Fix comment end
  * AVFoundation: remove ResourceHandler nested class
  * Fix build: don't let X11/Xlib.h's None interfere
  * Fix clang warning about mixing || and |
  * Fix warning about QNetworkConfiguration being deprecated

  [ Roman Valov ]
  * Gstreamer: fix stream buffering

  [ Stef Boerrigter ]
  * GSTVideoRender: Update viewport on gst video buffer crop metadata

  [ Topi Reinio ]
  * QAudioInput/Output documentation: Fix slot naming in snippets
  * Doc: Fix faulty snippet in Video Overview page
  * Doc: Fix module names in .qdocconf for Qt Multimedia & Widgets
  * Doc: Fix example paths referred in documentation
  * Doc: Define example install paths in .qdocconf
  * Doc: Add Qt Multimedia platform notes for Windows
  * Fix binding loop in declarative-camera example
  * Doc: Remove comment about preliminary API for Qt 5.0
  * Doc: Fix qmlclass selector used in documentation config
  * Doc: Use the screenshot in the Declarative Radio example documentation
  * Doc: Update examplesinstallpath to include the repository name
  * Doc: Fix documentation warnings
  * Doc: Generate separate listing of Widgets classes in the QHP
  * Doc: Remove repository name from examplesinstallpath
  * Doc: Change instances of 'OS X' to 'macOS'
  * Doc: Maintain the list of highlighted examples locally
  * Doc: Fix documentation warnings
  * Doc: Fix multiple documentation issues
  * Doc: Replace example file lists with links to code.qt.io
  * Doc: Fix documentation warnings
  * Doc: Fix link to the VideoOutput.source property
  * Remove deprecated QTextStream operators from examples

  [ Ihor Dutchak ]
  * DirectShow: use supported pixel formats for QCamera video surface
  * DirectShow: don't change camera zoom level if not requested
  * Fix AVFVideoWindowControl/AVFVideoWidget content flick on resize
  * Add AVFCameraWindowControl as QVideoWindowControl_iid implementation

  [ Friedemann Kleint ]
  * Multimedia: Compile on Windows.
  * QtMultimedia: Remove qpa-sections from .profiles.
  * QtMultimedia: Fix warnings about declarative/quick.
  * QtMultiMedia: Fix warnings about missing return values.
  * QAudioIn/Output-tests: Remove SRCDIR-macro/stabilize.
  * QSound/QSoundEffect: Use QFINDTESTDATA to locate test data.
  * QtMultimedia: Fix compiler warnings.
  * Fix compilation after qtbase:8f85b84f4eaa85ff5c02ec5e65fd6706a10690b9.
  * QtMultimedia: Fix compiler warnings.
  * QtMultimedia: Fix deprecation warnings.
  * Locate qdoc on Windows correctly.
  * Fix internal compiler error of MSVC2012.
  * QtMultimedia: Remove usages of qWaitForWindowShown(QWidget *).
  * QtMultiMedia/Tests: Fix MSVC2012 warning about overload.
  * Compile after removal of compatibility code in QtQuick.
  * Fix compilation with stock MinGW.
  * QtMultimedia: Fix compiler warnings.
  * Fix the QML list interface
  * Fix compilation with -no-rtti.
  * Fix syncqt-warnings.
  * Fix qmake warning about missing headers.
  * Fix building of installed player example.
  * Fix building of examples.
  * tr()-Fixes.
  * Fix lupdate-Warning in qcamera.cpp.
  * Fix signature of the waveInProc/waveOutProc callbacks.
  * Reduce MinGW64-warnings about mixerID.
  * DSVideoWidgetSurface: Pass on parent to base class.
  * Fix MinGW64-warnings about unknown pragmas.
  * Fix warnings about unused variables.
  * DSVideoWidgetControl: Fix constructor order.
  * Fix MinGW-warnings about mismatched types.
  * Fix XPASS on Ubuntu Precise Pangolin.
  * Fix tr()-Context in BlackBerry-plugin.
  * Fix hang in tst_qaudioinput (Windows).
  * Make directshow-plugin available.
  * WMF-plugin: Fix warnings about unused variables.
  * Fix file browser in qmlvideo example.
  * Remove left-over debug output.
  * Fix file browser in qmlvideofx example.
  * Fix lupdate warning in playlistparser.
  * Add Linguist comment for translation of Drive-mode.
  * Fix MSVC-warnings about unused variable meta in tst_qdeclarativevideooutput.cpp.
  * Fix MSVC-warnings about unsafe bool operations in tst_qcamera.cpp.
  * Fix MSVC-warning about truncation of constant in tst_qaudiobuffer.cpp.
  * Use QVERIFY2 for elapsed time in tst_QMediaPlayerBackend::seekPauseSeek().
  * WMF plugin: Initialize member variable m_stateDirty.
  * Check whether current context can be obtained when deleting textures.
  * Add missing includes for QDataStream/QIODevice.
  * Fix memory leak in  QWindowsAudioDeviceInfo::availableDevices().
  * Fix some qdoc-warnings.
  * Free d in QAudioBuffer &QAudioBuffer::operator =(const QAudioBuffer &).
  * Fix uninitialized memory reads in MFAudioDecoderControl.
  * Fix debug stream operators.
  * Fix tr()-context of message in QMediaPlayerPrivate.
  * Add CONFIG += testcase to auto/unit/qaudiobuffer/qaudiobuffer.pro.
  * WindowsAudio: Fix compiler warnings by g++/MinGW.
  * Unit test qaudiodecoder: Do not rely on qCompare(bool, int,...).
  * Make QWinRTImageEncoderControl a Q_OBJECT.
  * Fix tr()-context of messages in QPlaylistFileParserPrivate.
  * Fix 2 more tr()-contexts of messages in QPlaylistFileParserPrivate.
  * Remove QT_DISABLE_DEPRECATED_BEFORE=0 from tests.
  * Add 'resourcepolicy' to MODULE_PLUGIN_TYPES of multimedia.pro.
  * Add missing "We mean it" comments to private headers.
  * DirectShow: Remove unused static function decibelsToVolume().
  * Fix constructor parameters in tst_QMediaPlaylist.
  * Polish the QtWidgets/Player example.
  * DirectShow: Fix MinGW warnings about signedness of comparison.
  * Remove Windows CE.
  * DirectShow: Invoke IGraphBuilder::AddSourceFilter() with local file name.
  * DirectShow: Improve error handling.
  * Polish the videowidget example.
  * Alsa: Use QVarLengthArray
  * Polish the QtWidgets/videographicsitem example
  * QWindowVideoWidgetBackend: scale coordinates passed to control
  * DirectShow: Port to new configure system (evr, wmsdk)
  * DirectShow: Fix warnings of MinGW/gcc 5.3
  * DirectShow: Fix uninitialized memory read in DirectShowMediaTypeEnum::Next()
  * DirectShow: Fix namespaced build with MinGW
  * DirectShow: Silence g++ warnings about missing initializers for AM_MEDIA_TYPE
  * DirectShowPlayerService::doSetVideoProbe(): Break out of loop
  * DirectShow: Change parameter of qt_evr_pixelFormatFromD3DFormat() to DWORD
  * Add shutter icon to camera example
  * Camera example: Brush up to C++11
  * MultimediaWigets/MSVC2013: Increase virtual memory range for PCH
  * Revert "MultimediaWigets/MSVC2013: Increase virtual memory range for PCH"
  * MultimediaWigets/MSVC2013: Increase virtual memory range for PCH, take 2
  * DirectShow/MinGW: Compile with default WINVER/_WIN32_WINNT
  * Fix Clang warnings
  * Fix Clang warnings about unused fields
  * qimagevideobuffer.cpp: Fix deprecation warning
  * Replace deprecated qSort() by std::sort()
  * Windows Audio: Fix Clang warnings about int/C-style casts
  * Extend WASAPI config check
  * Fix DirectShow COM class hierarchy
  * DirectShow: Add override
  * DirectShow: Fix clang-tidy warnings about class definitions
  * DirectShow: Fix clang-tidy warnings about C-style casts
  * DirectShow: Fix clang-tidy warnings about loops
  * DirectShow: Fix clang-tidy warnings about else after return
  * DirectShow: Fix compiler warnings
  * Fix warnings about deprecated QPalette enumerations and functions
  * Fix deprecation warnings
  * Fix type of the out parameter "result" of the native event filters
  * Fix deprecation warnings about QVariant API
  * Fix some deprecation warnings
  * DirectShow: Replace typedef by using
  * DirectShow: Fix clang-warning about mixing const/non-const iterators
  * DirectShow: Clang warnings about else after return, break
  * DirectShow: Use member initialization
  * DirectShow: Introduce nullptr
  * Port towards load/storeRelaxed atomics
  * Fix API of QCameraExposure, QCameraFocus, QCameraImageProcessing for Qt for Python
  * Avoid initializing QFlags with 0 or nullptr
  * spectrum example: Fix warnings about deprecated QList<T>::toSet()
  * tst_qabstractvideosurface.cpp: Fix misuse of QMap as QMultiMap

  [ Alexander Akulich ]
  * QCamera: Deprecate 'error' signal, use 'errorOccurred' instead
  * Deprecate Camera::error() signal in favor of errorOccurred()

  [ Michael Brasser ]
  * Document usage of QT_MULTIMEDIA_PREFERRED_PLUGINS on Windows

  [ Cheng Sun ]
  * QAlsaAudioOutput: leave IdleState as soon as there is data in the source

  [ Edward Welbourne ]
  * Purge spurious execute permissions.
  * Purge sRGB chunks from PNGs in examples.
  * Purge sRGB chunks from PNGs in documentation.
  * QCameraPrivate: NULL-fill fields to be set up by init().
  * Merge remote-tracking branch 'origin/5.7' into dev
  * Use qFuzzyCompare() instead of equality on floating-point values
  * Use qDegreesToRadians() instead of hand-coding it
  * Convert uses of QTime as a timer to QElapsedTimer
  * Use Qt::SplitBehavior in preference to QString::SplitBehavior

  [ Assam Boudjelthia ]
  * Android: JNI_OnLoad return JNI_VERSION_1_6 instead of JNI_VERSION_1_4
  * Examples: request Android storage permissions when using QStandardPaths

  [ Dominik Holland ]
  * Reset VideoSurface pointer when deleted
  * AVF: Only resume playback after a stalled buffer if really needed

  [ Leena Miettinen ]
  * Doc: Add a \brief for the QMediaMetaData namespace
  * Doc: Explain that the camera consumes power in Camera.LoadedState
  * Doc: Fix QCamera and Camera docs

  [ Kari Oikarinen ]
  * Wrap QTest::qWaitForWindowExposed() with QVERIFY
  * Bump version
  * Merge 5.12 into 5.12.1
  * Bump version
  * Bump version
  * Bump version
  * Bump version
  * Merge dev into 5.14 (delayed final downmerge)
  * Merge "Merge dev into 5.14 (delayed final downmerge)"
  * Merge 5.14 into 5.14.1

  [ Liang Qi ]
  * Update qmldir file for QtAudioEngine
  * Update all plugins.qmltypes files
  * Merge remote-tracking branch 'origin/5.5' into dev
  * Merge remote-tracking branch 'origin/5.5' into dev
  * Merge remote-tracking branch 'origin/5.4' into 5.5
  * Update copyright headers
  * Merge remote-tracking branch 'origin/5.5' into dev
  * Merge remote-tracking branch 'origin/5.5' into dev
  * Merge remote-tracking branch 'origin/5.5' into dev
  * Merge remote-tracking branch 'origin/5.5.0' into 5.5
  * Merge remote-tracking branch 'origin/5.5' into dev
  * Merge "Merge remote-tracking branch 'origin/5.5' into dev" into refs/staging/dev
  * Merge remote-tracking branch 'origin/5.6' into dev
  * Merge remote-tracking branch 'origin/5.5' into 5.6
  * Merge remote-tracking branch 'origin/5.5.1' into 5.5
  * Merge remote-tracking branch 'origin/5.6' into dev
  * Merge remote-tracking branch 'origin/5.6' into dev
  * Merge remote-tracking branch 'origin/5.5' into 5.6
  * Merge "Merge remote-tracking branch 'origin/5.5' into 5.6" into refs/staging/5.6
  * Merge remote-tracking branch 'origin/5.5' into 5.6
  * Merge remote-tracking branch 'origin/5.5' into 5.6
  * Merge remote-tracking branch 'origin/5.5' into 5.6
  * Merge remote-tracking branch 'origin/5.6' into dev
  * Merge remote-tracking branch 'origin/5.6.0' into 5.6
  * Merge remote-tracking branch 'origin/5.6' into 5.7
  * Merge remote-tracking branch 'origin/5.6' into 5.7
  * Merge remote-tracking branch 'origin/5.6' into 5.7
  * Merge remote-tracking branch 'origin/5.6' into 5.7
  * tests: skip tst_qaudiodecoderbackend when no audio decoding support
  * Merge remote-tracking branch 'origin/5.7' into dev
  * Merge remote-tracking branch 'origin/5.7' into dev
  * Merge remote-tracking branch 'origin/5.6' into 5.7
  * Merge remote-tracking branch 'origin/5.7' into dev
  * Merge remote-tracking branch 'origin/5.6.1' into 5.6
  * Merge remote-tracking branch 'origin/5.6' into 5.7
  * Merge remote-tracking branch 'origin/5.7' into dev
  * Merge remote-tracking branch 'origin/5.6.1' into 5.7.0
  * Merge remote-tracking branch 'origin/5.6.1' into 5.6
  * Merge remote-tracking branch 'origin/5.7' into dev
  * Merge remote-tracking branch 'origin/5.7.0' into 5.7
  * Merge remote-tracking branch 'origin/5.6' into 5.7
  * Merge remote-tracking branch 'origin/5.7' into dev
  * Merge remote-tracking branch 'origin/5.6' into 5.7
  * Merge remote-tracking branch 'origin/5.7' into dev
  * Merge remote-tracking branch 'origin/5.6' into 5.7
  * Merge remote-tracking branch 'origin/5.7' into dev
  * Merge remote-tracking branch 'origin/5.6' into 5.7
  * Merge remote-tracking branch 'origin/5.6.2' into 5.6
  * Merge remote-tracking branch 'origin/5.6' into 5.7
  * Merge remote-tracking branch 'origin/5.7' into 5.8
  * Merge remote-tracking branch 'origin/5.8' into dev
  * Merge remote-tracking branch 'origin/5.6' into 5.7
  * Merge remote-tracking branch 'origin/5.8' into dev
  * Merge remote-tracking branch 'origin/5.8' into dev
  * Merge remote-tracking branch 'origin/5.6' into 5.7
  * Merge remote-tracking branch 'origin/5.7' into 5.8
  * Merge remote-tracking branch 'origin/5.7.1' into 5.7
  * Merge remote-tracking branch 'origin/5.6' into 5.7
  * Merge remote-tracking branch 'origin/5.7' into 5.8
  * Merge remote-tracking branch 'origin/5.8' into dev
  * Merge remote-tracking branch 'origin/5.8.0' into 5.8
  * Blacklist qmediaplayerbackend tests in macOS 10.12
  * Merge remote-tracking branch 'origin/5.8' into 5.9
  * Blacklist qmediaplayerbackend tests in all versions of macOS
  * Merge remote-tracking branch 'origin/5.9' into dev
  * Merge remote-tracking branch 'origin/5.8' into 5.9
  * Merge remote-tracking branch 'origin/5.9' into dev
  * Merge remote-tracking branch 'origin/5.9.0' into 5.9
  * Merge remote-tracking branch 'origin/5.9' into dev
  * Merge remote-tracking branch 'origin/5.9.1' into 5.9
  * Merge remote-tracking branch 'origin/5.9' into dev
  * Merge remote-tracking branch 'origin/5.9' into dev
  * Merge remote-tracking branch 'origin/5.9' into 5.10
  * Merge remote-tracking branch 'origin/5.10' into dev
  * Merge remote-tracking branch 'origin/5.9.2' into 5.9
  * Merge remote-tracking branch 'origin/5.10' into dev
  * Merge remote-tracking branch 'origin/5.9' into 5.10
  * Merge remote-tracking branch 'origin/5.10' into dev
  * Merge remote-tracking branch 'origin/5.9' into 5.10
  * Fix outdated BSD license header
  * Merge remote-tracking branch 'origin/5.10' into dev
  * Merge remote-tracking branch 'origin/5.9.3' into 5.10.0
  * Merge remote-tracking branch 'origin/5.9.3' into 5.9
  * Merge remote-tracking branch 'origin/5.10.0' into 5.10
  * Merge remote-tracking branch 'origin/5.9' into 5.10
  * Merge remote-tracking branch 'origin/5.10' into dev
  * Merge remote-tracking branch 'origin/5.9.4' into 5.9
  * Merge remote-tracking branch 'origin/5.9' into 5.10
  * Merge remote-tracking branch 'origin/5.10' into dev
  * Merge remote-tracking branch 'origin/5.9' into 5.10
  * Merge remote-tracking branch 'origin/5.10' into 5.11
  * Merge remote-tracking branch 'origin/5.10.1' into 5.11
  * Merge remote-tracking branch 'origin/5.9' into 5.11
  * Merge remote-tracking branch 'origin/5.12' into dev
  * gpu_vivante depends on opengles2 and gui
  * Merge remote-tracking branch 'origin/5.12' into 5.13
  * Merge remote-tracking branch 'origin/5.12' into 5.13
  * Merge "Merge remote-tracking branch 'origin/5.12' into 5.13"
  * Merge remote-tracking branch 'origin/5.12' into 5.13
  * Merge "Merge remote-tracking branch 'origin/5.12' into 5.13"
  * Fix the build with -no-opengl
  * Fix the build with -no-gui

  [ Simon Hausmann ]
  * Fix build on Windows with new qdatetime.h that doesn't redefine min/max
  * Remove unnecessary dependency to qtjsbackend from sync.profile
  * Mark tst_qcamerabackend test as insignificant on Mac OS X
  * Prospective fix for building QtMultimedia on Android against installed QtBase
  * Extend test exclusion for this test on OS X
  * Exclude failing tests on RHEL and Ubuntu
  * Merge "Merge remote-tracking branch 'origin/5.5' into 5.6" into refs/staging/5.6
  * Improve robustness of QML plugin loading
  * Remove the code to manually initialize resources in static builds
  * Prospective fix for test failures on MinGW
  * Fix Qt 6 build

  [ Daniel Smith ]
  * unblacklist passing tests
  * Bump version

  [ James McDonnell ]
  * Change PLUGIN_DISABLE_MMAP to PLUGIN_MMAP
  * Disable the ALSA plugin for QNX
  * Limit the size of the QnxAudioOutput stack buffer
  * Let the QNX ALSA library know about suspend/resume
  * Propagate audio category into the QNX audio output object
  * io-audio based audio management for QNX 7.0.0
  * Implement QAudioRoleControl for QNX
  * Fix a format string
  * Remove handleMmStatusUpdate
  * Remove m_stopEventsToIgnore
  * Add custom audio role API to QMediaPlayer
  * Update customAudioRole Qt version
  * Switch to mmr_event_t based monitoring
  * Propagate customAudioRole into the QML classes
  * Switch the metadata code to the event API
  * Implement QCustomAudioRoleControl for QNX
  * QNX 7.0.0 audio management support
  * Switch WindowGrabber to a private parent window
  * Fix video window parenting and positioning
  * Retrieve some information from the track metadata if available
  * Make the code compatible with future versions of QNX libasound

  [ Mohammed Hassan ]
  * Prevent immediate-stop of currently-unloading gst recording pipeline
  * GstCamera: Watch for zoom and max-zoom property changes in Gstreamer CameraBin

  [ Brad Davis ]
  * opensl: support android voice comm preset in order to trigger aec

  [ Timur Pocheptsov ]
  * AVFImageCaptureControl - invalid connection
  * AVFCameraFocusControl - focus control for iOS / OS X
  * AVFCameraExposureControl - exposure control for iOS
  * Camera zoom control - version for the AVFoundation plugin
  * Add AVF camera utilities - general aux. functions/classes
  * Viewfinder settings control (2) - version for iOS/OS X
  * Viewfinder settings control (1) for OS X/iOS
  * Image encoder control - version for OS X/iOS
  * AVCaptureDeviceFormat - avoid duplicates (OS X/iOS)
  * AVFCameraViewfinderSettings - add NV12 format
  * Add NV12/NV21 support into SG videonode.
  * Camera flash control - version for iOS/OS X
  * Video asset writer for iOS
  * Media asset writer - use the right macro
  * AVFFoundation - fix a compilation error (iOS, XCode 7.3)
  * AVFMediaAssetWriter - fix potential race condition(s)
  * AVFMediaAssetWriter - fix atomics use
  * AVFMediaAssetWriter - fix race conditions
  * AVFImageCaptureControl - do not block the capture's callback
  * AVFoundation: Make AVFImageCaptureControl work without a preview
  * Qt Mumtimedia - fix build for iOS
  * AVFMediaAsserWriter: remove deprecated declration

  [ Frederik Gladhorn ]
  * Merge remote-tracking branch 'origin/stable' into dev
  * Bump Qt version to 5.1.0
  * Merge remote-tracking branch 'origin/stable' into dev
  * Merge remote-tracking branch 'origin/stable' into dev
  * Merge "Merge remote-tracking branch 'origin/stable' into dev" into refs/staging/dev
  * Merge remote-tracking branch 'origin/release' into stable
  * Remove qaccessible2 bic data.
  * Merge remote-tracking branch 'origin/stable' into dev
  * Merge remote-tracking branch 'origin/stable' into dev
  * Update module version to 5.2.0
  * Merge remote-tracking branch 'origin/stable' into dev
  * Merge remote-tracking branch 'origin/release' into stable
  * Merge "Merge remote-tracking branch 'origin/release' into stable" into refs/staging/stable
  * Merge remote-tracking branch 'origin/stable' into dev
  * Merge remote-tracking branch 'origin/stable' into dev
  * Merge remote-tracking branch 'origin/stable' into dev
  * Merge remote-tracking branch 'origin/stable' into dev
  * Merge remote-tracking branch 'origin/release' into stable
  * Merge remote-tracking branch 'origin/release' into stable
  * Merge remote-tracking branch 'origin/stable' into dev
  * Merge remote-tracking branch 'origin/release' into stable
  * Merge remote-tracking branch 'origin/stable' into dev
  * Merge remote-tracking branch 'origin/stable' into dev
  * Merge remote-tracking branch 'origin/stable' into dev
  * Merge remote-tracking branch 'origin/stable' into dev
  * Merge "Merge remote-tracking branch 'origin/stable' into dev" into refs/staging/dev
  * Merge remote-tracking branch 'origin/stable' into dev
  * Merge remote-tracking branch 'origin/stable' into dev
  * Merge "Merge remote-tracking branch 'origin/stable' into dev" into refs/staging/dev
  * Merge remote-tracking branch 'origin/stable' into dev
  * Merge remote-tracking branch 'origin/stable' into dev
  * Merge remote-tracking branch 'origin/stable' into dev
  * Merge remote-tracking branch 'origin/release' into stable
  * Merge "Merge remote-tracking branch 'origin/release' into stable" into refs/staging/stable
  * Merge remote-tracking branch 'origin/stable' into dev
  * Merge remote-tracking branch 'origin/release' into stable
  * Merge remote-tracking branch 'origin/stable' into dev
  * Merge remote-tracking branch 'origin/stable' into dev
  * Merge remote-tracking branch 'origin/stable' into dev
  * Merge remote-tracking branch 'origin/stable' into dev
  * Merge "Merge remote-tracking branch 'origin/stable' into dev" into refs/staging/dev
  * Merge remote-tracking branch 'origin/stable' into dev
  * Merge remote-tracking branch 'origin/stable' into dev
  * Merge remote-tracking branch 'origin/release' into stable
  * Merge remote-tracking branch 'origin/stable' into dev
  * Merge remote-tracking branch 'origin/release' into stable
  * Merge remote-tracking branch 'origin/stable' into dev
  * Merge remote-tracking branch 'origin/stable' into dev
  * Merge remote-tracking branch 'origin/stable' into dev
  * Merge remote-tracking branch 'origin/stable' into dev
  * Merge remote-tracking branch 'origin/release' into stable
  * Merge remote-tracking branch 'origin/5.3.1' into 5.3
  * Merge remote-tracking branch 'origin/5.3' into dev
  * Merge remote-tracking branch 'origin/5.3' into dev
  * Merge remote-tracking branch 'origin/5.3' into dev
  * Merge remote-tracking branch 'origin/5.3' into dev
  * Merge "Merge remote-tracking branch 'origin/5.3' into dev" into refs/staging/dev
  * Merge remote-tracking branch 'origin/5.4' into dev
  * Bump version
  * Merge remote-tracking branch 'origin/5.3' into 5.4
  * Merge remote-tracking branch 'origin/5.4' into dev
  * Merge remote-tracking branch 'origin/5.3' into 5.4
  * Merge remote-tracking branch 'origin/5.4' into dev
  * Merge remote-tracking branch 'origin/5.4' into dev
  * Merge remote-tracking branch 'origin/5.4.0' into 5.4
  * Merge remote-tracking branch 'origin/5.4' into dev
  * Merge remote-tracking branch 'origin/5.4.0' into 5.4
  * Merge remote-tracking branch 'origin/5.4' into dev
  * Merge "Merge remote-tracking branch 'origin/5.4' into dev" into refs/staging/dev
  * Merge remote-tracking branch 'origin/5.4.1' into 5.4
  * Merge "Merge remote-tracking branch 'origin/5.4.1' into 5.4" into refs/staging/5.4
  * Merge remote-tracking branch 'origin/5.4' into dev
  * Merge remote-tracking branch 'origin/5.4' into 5.5
  * Merge remote-tracking branch 'origin/5.5' into dev
  * Merge remote-tracking branch 'origin/5.4' into 5.5
  * Merge remote-tracking branch 'origin/5.4' into 5.5
  * Merge remote-tracking branch 'origin/5.5' into dev
  * Blacklist a few test functions for RHEL
  * Remove RHEL blacklisting for tests that pass
  * Merge remote-tracking branch 'origin/5.6.0' into 5.6
  * Bump version
  * Move shared example folder to examples/multimedia/shared
  * Bump version
  * Merge 5.12 into 5.12.4
  * Bump version
  * Bump version
  * Bump version

  [ Albert Astals Cid ]
  * Prevent m_runningCount from eventually overflowing
  * Small performance improvements suggested by clang-tidy

  [ BogDan Vatra ]
  * Install the jar file
  * Android: Use default API version (16)
  * Android: Use the new QtAndroidPrivate::runOnAndroidThreadSync
  * Make sure JNI_OnLoad is not called more than once
  * This module doesn't need an Activity to work, a Context object is enough
  * Pass the context to QtAndroidMediaPlayer
  * Fix library name

  [ Mariana Meireles ]
  * Extract QAudioProbe code snippet

  [ Christian Stenger ]
  * Doc: Fix typo and enum names
  * Doc: Replace outdated macro
  * Fix building with namespaced Qt

  [ Sona Kurazyan ]
  * Remove usages of deprecated qSort
  * Remove usages of deprecated QLatin1Literal
  * Remove usages of deprecated APIs

  [ Andrew Smolko ]
  * AVFoundation: Re-create CARenderer if current OpenGL context changed

  [ Andrew Dolby ]
  * AVFoundation: Use 270 for the front facing camera's orientation

  [ Nate Weibley ]
  * Fix GetFrameRateList checks and memory leak

  [ Arno Rehn ]
  * QGstAppSrc: Don't send EOS for at-end sequential devices

  [ Tomasz Olszak ]
  * Improve quality of YUVY and UYVY rendering
  * Make QPulseAudioOutput::elapsedUSecs prone to OS time change
  * Add YUV422P format support to QVideoFrame and declarative renderer

  [ Oliver Wolff ]
  * Fixed winrt/windows phone build
  * winrt: Fixed emission of readyForCaptureChanged
  * winrt: Use QMutex instead of criticalSections
  * Ask for camera permissions
  * DirectShowUtils::matchPin: Return false on connection mismatch
  * DirectShowUtils::connectFilters: Return false if every pin fails
  * DirectShowUtils::findUnconnectedPin: Try other pins if matchPin fails
  * DirectShowPlayerService: Proper check of DirectShowUtils::connectFilters's result
  * winrt: Do not use CoTaskMemFree as image cleanup function
  * winrt: Fix rotation of camera image
  * winrt: Obtain new camera sample format and size on camera change
  * winrt: Fix clang warnings
  * winrt: Use highest supported resolution for camera preview/image capture

  [ Roland Rossgotterer ]
  * Add source url to 'decoding error' warning

  [ Richard Oehlinger ]
  * Fix compile failure with gstreamer 0.10

  [ Jochen Seemann ]
  * Fix binding loop for declarative-camera
  * adding property CameraCapture::supportedResolutions
  * fix documentation for QML Playlist
  * adding property CameraFlash::supportedModes
  * turn QGstTools into a proper private module
  * examples: use Qt5-style connects where possible
  * AVFoundation: implement bufferState
  * avfoundation: resolve unused parameter warnings
  * AVFoundation: use observer for tracking duration
  * add supportedFocusModes and supportedFocusPointModes
  * add property supportedExposureModes to CameraExposure
  * add mirrored API to QVideoSurfaceFormat
  * add missing capability properties to CameraImageProcessing
  * fix typo in QCameraImageProcessing documentation
  * avfoundation: modernize by using nullptr and override
  * multimedia: modernize by using nullptr
  * avfoundation: fix compiler warnings regarding Objective-C
  * GstTools: move headers to correct folder

  [ Samuel Gaist ]
  * Fix little typo in QCameraExposureControl
  * Fix typo in QCameraViewfinderSettingsControl documentation
  * Implement YUV 4:2:2 8bit support for QtQuick
  * Add YUV 4:2:2 8Bit to supported formats of OS X camera plugin.
  * Migrate QGstUtils to use QRegularExpression
  * Fix comment for YUV fragment shaders

  [ Chris Adams ]
  * Don't append suggested extension if filename includes extension

  [ J-P Nurmi ]
  * Fixed build break
  * QGstUtils: fix build with MSVC
  * GStreamer camera bin service plugin: remove bogus export macros
  * GStreamer: remove unnecessary <unistd.h> includes

  [ Oswald Buddenhagen ]
  * clean up qmake-generated projects
  * fix project file
  * delete unused file
  * add multimediawidgets before gsttools to SUBDIRS
  * auto-generate module pris
  * switch to new-style configure tests
  * fix bogus conditional
  * build system cleanups
  * use centralized handling of QT_BUILD_PARTS
  * use centralized qml plugin project handling
  * qt_module is deprecated, use qt_build_config
  * follow rename of qt_module_config.prf to qt_module.prf
  * make use of QT_PRIVATE to specify private Qt dependencies
  * centralize load(qt_build_config)s in .qmake.conf
  * remove references to qMemSet & qMemCopy
  * fix VPATH
  * adjust to qt_plugin.prf changes
  * remove pointless QT.<module>.sources references
  * remove some unnecessary CONFIG additions
  * remove obsolete DEPENDPATH assignments
  * remove QT+=widgets from SUBDIRS projects
  * remove leftover code from multimediawidgets carve-out
  * make use of qtHaveModule()
  * substitute fixed version numbers in qdocconf files with variables
  * fix doc page urls
  * define MODULE_VERSION
  * remove pointless code
  * remove pointless LIBS path
  * fix build without quick
  * use private linkage where possible
  * don't error out on static builds
  * whitespace fixes
  * Merge remote-tracking branch 'origin/dev' into stable
  * make MODULE_PLUGIN_TYPES assignment actually have an effect
  * let videonode plugins declare that they extend QtQuick
  * Bump version
  * Bump version
  * Bump version
  * Bump version
  * Merge dev into 5.5
  * Bump version
  * Bump version
  * Bump version
  * Bump version
  * Bump version
  * Bump version
  * consistently put {qt,qml}_{module,plugin} at the end of project files
  * rely on the automatically defined QT_BUILD_*_LIB
  * remove redundant statements from project files
  * standardize statement order in project files a bit
  * fix example installs
  * decruft project file
  * Merge 5.6 into 5.6.1
  * Bump version
  * Merge 5.7 into 5.7.0
  * do not enable example installs explicitly any more
  * Bump version
  * Bump version
  * Merge 5.7 into 5.7.1
  * remove dependencies from sync.profile
  * Bump version
  * actually delete obsolete qmultimediadefs.h
  * Bump version
  * de-duplicate gstreamer_encodingprofiles configure tests
  * Bump version
  * Bump version
  * Merge 5.9 into 5.9.2
  * Bump version
  * Merge 5.9 into 5.9.3
  * Merge 5.10 into 5.10.0
  * Bump version
  * Bump version
  * Bump version
  * Bump version
  * Bump version
  * Bump version
  * Bump version
  * Bump version

  [ Otto Ryynänen ]
  * Add a support for selecting the output device used by QSoundEffect

  [ Eskil Abrahamsen Blomfeldt ]
  * Merge branch 'newdocs'
  * Make it possible to bundle Android builds
  * Android: Fix compilation on Windows
  * Android: Add permissions/features for Qt Multimedia module
  * Update Android dependencies with private library name change
  * Exclude Qt Multimedia when Qt Network is missing

  [ Yoann Lopes ]
  * Use QVideoWidget in the videowidget example.
  * QVideoWidget: fixed setFullScreen(false) on the Xcb platform.
  * Use QVideoGraphicsItem in the videographicsitem example.
  * Make QGstreamerPlayerSession 'VAAPI-aware'.
  * WMF: Fixed color adjustment when using the EVR window control.
  * WMF: Disabled the video probe control.
  * WMF: Fixed shutdown sequence.
  * WMF: Recreate the MFMediaSession when loading a new media.
  * WMF: Improved error reporting.
  * WMF: Fixed crash when cancelling media loading.
  * WMF: Fixed incorrect QMediaPlayer volume reporting.
  * WMF: re-enabled video probes and made it more robust.
  * WMF: Fixed uninitialized member variable.
  * WMF: release video controls before releasing the session
  * WMF: added more metadata keys (on Windows 7 and later).
  * Added seek() function to QML Video item and updated documentation.
  * Fixed QSGVideoNodes not deleting their materials.
  * Make sure QVideoSurfaceGLPainter always uses a valid texture.
  * WMF: fixed scrubbing and changing rate to 0 or negative values.
  * WMF: fixed unresolved topologies when using the custom MediaSink.
  * WMF: enabled HW-accelerated video decoding for the QML video item.
  * WMF: removed unnecessary dynamic_cast.
  * GStreamer: fixed build when using GST_PHOTOGRAPHY.
  * Stabilizes QAudioInput auto-test.
  * Fixed signal not being emitted in QDeclarativeCameraFocus.
  * Android: fixed crash when resetting the video surface.
  * Multimedia plugins now have a unique JSON metadata 'Keys' property.
  * Use correct default audio output and input devices on Windows.
  * Android: release the Android media player before destroying it.
  * Android: wait to have a valid video surface before loading a media.
  * Android: removed unnecessary init class for QtMultimedia.jar
  * OpenSL ES audio plugin.
  * WMF: fixed MediaPlayer buffering logic.
  * DirectShow: Don't create the widget and renderer controls until requested.
  * DirectShow: avoid unnecessary RGB32 -> BGR32 conversion.
  * Moved declarative-camera example in the right directory.
  * Make PulseAudio implementation of QSoundEffect more robust.
  * Fixed bug in QWaveDecoder.
  * WMF: use qFabs instead of fabsf.
  * WMF: fixed QMediaPlayer changing to EndOfMedia status too early.
  * Add changes-5.1.1 file.
  * Android: fixed media player buffering logic.
  * WMF and GStreamer: fixed incorrect frame startTime and endTime.
  * Android: added camera support.
  * Stabilized QPainterVideoSurface auto-test.
  * Fix QVideoSurfaceArbFpPainter mistakenly failing to start in some cases.
  * Android: fix compilation on x86.
  * Some cleanup in the GStreamer plugin.
  * Android: fix plugin json metadata.
  * VideoOutput: take the video format's scanLineDirection into account.
  * Android: refactor video renderer.
  * Android: fixed image capture preview.
  * Remove unnecessary warning in QMediaPlaylistNavigator.
  * Improve audiorecorder example.
  * Android: fix media recording location.
  * Refactored AudioCapture plugin.
  * QNX: enable AudioCapture plugin.
  * DirectShow: improve metadata support.
  * WMF: fixed compilation on Windows Vista.
  * WMF: allow to load media whose content doesn't match its file extension.
  * WMF: allow to set a qrc file name as source of a QAudioDecoder.
  * WMF: fix output samples from our video probe MFTransform.
  * Correctly clear the current media in Audio and MediaPlayer qml elements.
  * OpenSL ES: enable the plugin only on Android.
  * WMF: emit positionChanged() signal when reaching the end of a media.
  * Android: fix camera preview showing black frames after restarting it.
  * DirectShow: fix compilation with MSVC 2008.
  * Android: fix two race conditions in the media player.
  * Android: use correct format when capturing a picture to a buffer.
  * Android: print a warning when using SurfaceTexture on Android 2.3.
  * Fix version availability for VideoOutput's autoOrientation property.
  * Add changes-5.2.0 file.
  * CoreAudio: fix supported input and output channel count.
  * Revert "WMF: fixed MediaPlayer buffering logic."
  * WMF: fixed various media player issues.
  * Android: fix camera viewfinder orientation.
  * Use the backend to notify the QCamera state changes.
  * Android: automatically deploy playlist plugins.
  * WMF: fix some crashes.
  * WMF: remove dead code.
  * GStreamer: add missing breaks in QGstreamerRecorderControl.
  * PulseAudio: fix crash when failing to create a context.
  * Fixed some documentation for VideoOutput qml type.
  * Fix build without Qml and Quick modules.
  * Android: fixes some issues with JCamera.
  * Android: optimized NV21 top ARGB32 conversion.
  * Android: fixes custom camera focus point.
  * Android: fixed video rendering with multiple media players.
  * Android: fix crash in QAndroidCaptureSession.
  * Merge "Merge remote-tracking branch 'origin/stable' into dev" into refs/staging/dev
  * Android: add missing information in frames retrieved with QVideoProbe.
  * Alsa: fix crash when detecting devices.
  * AVFoundation: mirror viewfinder frames of front-facing cameras.
  * android: add missing feature tags.
  * QSoundEffect: fix changing the loop count while playing.
  * New QCameraInfo class.
  * VideoOutput: fix autoOrientation with a camera source.
  * Android: implement QCameraInfoControl.
  * AVFoundation: implement QCameraInfoControl.
  * AVFoundation: fix crash when no camera is available on the system.
  * Make declarative-camera example show frames in the correct orientation.
  * WMF: each media player now has its own volume.
  * Add missing documentation for Audio and MediaPlayer loops property.
  * Android: correctly report QMediaRecorder status.
  * Android: correctly report QMediaRecorder actual output location.
  * Android: restart camera viewfinder after a recorder error.
  * Android: print Java traces for MediaRecorder when in debug mode.
  * Correctly update record button in AudioRecorder example.
  * Fix crash in QCameraInfo when no camera is available on the system.
  * Android: fix QMediaRecorder failing to start in some cases.
  * OpenSL ES: lazy initialization of QAudioInput's supported formats.
  * WMF: remove some debug output.
  * WMF: fix some issues with our custom video sink.
  * Fix VideoOutput::autoOrientation documentation.
  * GStreamer: don't try to seek when it's not supported.
  * GStreamer: fix memory leaks.
  * Improved declarative-camera example.
  * Fix enums for QML camera types.
  * Removed debug operator autotests.
  * Merge "Merge remote-tracking branch 'origin/stable' into dev" into refs/staging/dev
  * Blackberry: implement QCameraInfoControl.
  * CoreAudio: fix supported channel count.
  * GStreamer: each QMediaPlayer now has its own volume by default.
  * GStreamer: cleanup system includes.
  * DirectShow: fix media seeking while stopped.
  * WMF: support playback rate in our custom video sink.
  * WMF: don't return undefined value in Release() function.
  * WMF: more reliable video seeking.
  * GStreamer: correctly get metadata from live sources.
  * WMF: improve changing playback rate on a media player.
  * Fix some MediaPlayer properties returning wrong values.
  * Moved QMediaStorageLocation out of the Android plugin.
  * GStreamer: disable clock syncing in video sink for live sources.
  * PLS parser: Don't translate entries.
  * Improve documentation for the QMediaPlayer::bufferStatus property.
  * Android: fix QMediaPlayer::bufferStatus value.
  * WMF: fix video frames' viewport.
  * DirectShow: remove debug output.
  * Android: fix calling start() and stop() on the video surface.
  * Remove C++11 code in iMX6 video node plugin.
  * OpenSL: don't try to enqueue new buffers when the buffer queue is full.
  * Use Q_CONSTRUCTOR_FUNCTION macro to register multimedia meta types.
  * Android: fix media player's volume.
  * Android: don't start camera preview until the viewfinder is ready.
  * Improve default audio plugin selection.
  * Fix static initialization order fiasco in some plugins.
  * Make multimedia QML types available for the 5.3 import version.
  * Improved audiooutput and audioinput examples.
  * Add changelog for 5.3.1.
  * Enable both PulseAudio and Alsa plugins on Linux.
  * Android: correctly update camera focus zones.
  * Android: fix registering recorded videos with the Android media scanner
  * Android: fix crash when stopping the camera while a recording is active
  * GStreamer: fix looping a media when it's loaded from qrc.
  * GStreamer: correctly handle URLs from QMediaRecorder::setOutputLocation
  * Fix AudioOutput example when no audio devices are available.
  * Fix documentation for QML Camera's cameraStateChanged signal.
  * PulseAudio: make plugin more robust.
  * AVFoundation: correctly pass output URLs to AVCaptureMovieFileOutput.
  * Android: fix setting camera parameters from QML.
  * DirectShow: Refactor camera backend.
  * CoreAudio: make sure audio stops playing when the device is muted.
  * New camera selection API in QML.
  * Add missing registration of CameraViewfinder QML type.
  * Android: fix retrieving metadata from assets, qrc and remote files.
  * AVFoundation: fix retrieving tracks information from live sources.
  * AVFoundation: fix some controls not being correctly destroyed on iOS.
  * WMF: fix bufferStatus() and availablePlaybackRanges().
  * Added 5.3.2 change file.
  * Merge "Merge remote-tracking branch 'origin/5.3' into 5.4" into refs/staging/5.4
  * Fix integer overflow in several audio plugins.
  * Fix V4L usage.
  * Fix URL handling in PLS parser.
  * WMF: fix start time of QAudioProbe's buffers.
  * Make PLS parser more permissive.
  * Revert "QMediaNetworkPlaylistProvider: Upon error parsing, stop parsing."
  * WMF: fix video rendering with ANGLE.
  * WMF: fix crash on media player destruction.
  * Android: fix QMediaPlayer's state and mediaStatus signals.
  * Remove QuickTime backend.
  * Use QCameraInfo in camera example.
  * Improve audiorecorder example.
  * Android: fix some problems with the media player.
  * Add metadata test for qmediaplayerbackend auto-test.
  * GStreamer: fix QMediaPlayer metadata signals.
  * GStreamer: fix artist-related metadata keys.
  * AVFoundation: fix build with iOS 8.0 SDK.
  * AVFoundation: fix media player video rendering in QML.
  * GStreamer: fix QMediaRecorder::duration() when recording with a camera
  * Add QT_GSTREAMER_CAMERABIN_VIDEOSRC environment variable.
  * Merge remote-tracking branch 'origin/5.4' into dev
  * GStreamer: port to 1.0.
  * Fix VideoOutput autoOrientation when switching cameras.
  * OpenSL ES: volume support for QAudioInput.
  * Added 5.4.0 change file.
  * GStreamer: better camera device name logic.
  * New camera viewfinder settings API.
  * Merge remote-tracking branch 'origin/5.4' into dev
  * Merge "Merge remote-tracking branch 'origin/5.4' into dev" into refs/staging/dev
  * Added 5.4.1 change file.
  * Camera: update viewfinder settings on Loaded status.
  * Clarify documentation for QImageCapture's 'ready' property.
  * Android: fix adjusting camera viewfinder resolution.
  * Use configured GStreamer version.
  * Compile Alsa and PulseAudio plugins only when enabled by configure.
  * GStreamer: improved logic for window and widget controls usage.
  * GStreamer: fix camerabin state and status changes.
  * GStreamer 1.0: fix frame rate retrieved with QGstUtils::formatFromCaps.
  * GStreamer: implemented QCameraViewfinderSettingsControl2.
  * GStreamer 1.0: fix some problems with QGstVideoRendererSink.
  * GStreamer: runtime check for controls that require GstPhotography.
  * GStreamer: remove unused function and enum.
  * GStreamer camerabin: don't recreate camera source on device change.
  * GStreamer: improve camerabin audio settings checking.
  * GStreamer: some improvements with the camerabin's capture settings.
  * DirectShow: implemented QCameraViewfinderSettingsControl2.
  * Improve QMediaPlayer auto tests.
  * Android: fix some MediaPlayer signals not being emitted on first load.
  * Revert "Alsa: fix crash when detecting devices."
  * QPainterVideoSurface: restore original order for the supported formats.
  * Use proper d_ptr for QPlaylistFileParser.
  * WMF: fix RGB24 format matching.
  * Fix order of QSGVideoNode_RGB's supported formats.
  * WMF: report the surface's supported formats in the correct order.
  * GStreamer: don't use ximagesink in QGstreamerVideoWidget.
  * Add missing documentation for AudioSample::source.
  * GStreamer 1.0: show preroll frames.
  * GStreamer: implement unlock() in QGstVideoRendererSink.
  * Don't error out when presenting empty frames in QSGVideoItemSurface.
  * GStreamer 1.0: fix frames being presented too many times.
  * Fix incorrect warning in QML AudioEngine.
  * Fix audioengine example.
  * QMediaPlayer: handle resource files in a cross-platform way.
  * Fix type of Camera's errorCode property.
  * Make the QtMultimedia singleton type a QObject.
  * Updated plugins.qmltypes.
  * AVFoundation: fix QCameraInfo::availableCameras() on OS X.
  * CoreAudio: fix crash on iOS 5.
  * WMF: fix reported sample type of 8-bit audio formats.
  * Fix incorrect signal/slot connection in QDeclarativeTorch.
  * WindowsAudio: improve supported formats detection.
  * DirectShow: correctly update camera list.
  * Update plugins.qmltypes
  * AVFoundation: correctly detect the default audio capture device.
  * AVFoundation: fix microphone permission when using the camera.
  * Added 5.4.2 change file.
  * Minor refactor of built-in QSGVideoNodes.
  * Merge remote-tracking branch 'origin/5.4.2' into 5.4
  * Merge remote-tracking branch 'origin/5.4' into 5.5
  * Update license header in qmlvideofx example.
  * Fix texture unit bug in the YUV video node.
  * Fix documentation for Camera flash mode enum.
  * WMF: fix start time of buffers provided by QAudioDecoder.
  * AVFoundation: fix compilation on OSX < 10.9.
  * AVFoundation: fix retrieving maximum camera zoom value.
  * GStreamer: don't use xvimagesink when Qt is not using Xcb.
  * AVFoundation: additional build fixes for OSX < 10.9.
  * Android: fix setting the camera preview resolution.
  * GStreamer: flush the current frame when stopping a media player.
  * AVFoundation: fix default camera viewfinder pixel format.
  * AVFoundation: fix wrong Q_ASSERT.
  * AVFoundation: fix a problem when changing the camera viewfinder size.
  * GStreamer: remove unnecessary qWarning().
  * Support BGR format for OpenGL textures in QPainterVideoSurface.
  * AVFoundation: don't use shared OpenGL contexts unless needed.
  * Define QCamera::FrameRateRange as a struct.
  * Added 5.5.0 change file.
  * GStreamer: fix supported values returned by CameraBinImageProcessing.
  * Fix video nodes material comparison.
  * GStreamer: fix possible integer overflow in comparison.
  * GStreamer: use QMediaStorageLocation to generate capture file names.
  * Add new property to QVideoSurfaceFormat.
  * Blacklist failing test in tst_qsoundeffect on OpenSuse.
  * Improve documentation for mediaObject property.
  * Doc: update qml module version to 5.5.
  * Fix qdoc warnings.
  * Fix documentation for QML metaData property.
  * Fix camera plugin selection.
  * GStreamer: added convenience function in QGstUtils.
  * Fix QCamera viewfinder capabilities functions..
  * GStreamer: refactored widget and window control.
  * QMediaPlayer: clear current playlist on deletion.
  * Android: fix video probes when recording the camera.
  * Android: minor refactor of the camera frame callback.
  * Merge remote-tracking branch 'origin/5.5' into 5.6
  * Fix QCamera::lockStatus() documentation.
  * Fix MediaPlayer::playlist documentation.
  * Fix possible crashes in QDeclarativeRadioData.
  * Fix QML Camera::supportedViewfinderFrameRateRanges().
  * Fix crash in QSoundEffect when using it from a non-GUI thread.
  * Android: allow to map video buffers.
  * AVFoundation: fix playback rate.
  * AVFoundation: fix initial volume.
  * AVFoundation: store seek requests before media is loaded.
  * AVFoundation: correctly unload current media.
  * AVFoundation: fix rendering when player reached EndOfMedia.
  * AVFoundation: implemented QMediaPlayer::seekable.
  * Add 5.5.1 change file.
  * Fix QML revisions registration for 5.6.
  * AVFoundation: render camera frames using OpenGL textures on iOS.
  * AVFoundation: fix camera frames texture format.
  * Fix signal/slot declaration in QVideoOutputOrientationHandler.
  * GStreamer: fix compilation with version < 0.10.31.
  * Merge remote-tracking branch 'origin/5.5' into 5.6
  * Add private API for conversion from QVideoFrame to QImage.
  * AVFoundation: fix camera capture previews.
  * GStreamer camerabin: always provide the zoom control.
  * Blacklist qmediaplayerbackend test on Windows 64-bits.
  * AVFoundation: don't automatically rotate camera captures.
  * DirectShow: fix setting volume when a media is not loaded.
  * DirectShow: set timestamp on media player frames.
  * DirectShow: clear current video frame when stopping.
  * DirectShow: fix some media player status issue.
  * DirectShow: fix media player seeking.
  * Remove unused configuration test.
  * DirectShow: use the EVR in the window control.
  * DirectShow: fix custom renderer reference counting.
  * Support compiling with GStreamer < 0.10.32 in the camerabin plugin.
  * Add qt_real_to_fraction() helper function.
  * Merge remote-tracking branch 'origin/5.5' into 5.6
  * AVFoundation: improve viewfinder settings.
  * Implement volume in audiocapture plugin.
  * Merge remote-tracking branch 'origin/5.6' into dev
  * Fix some private headers.
  * Android: check for exceptions in some camera operations.
  * AVFoundation: fix setting the camera viewfinder resolution.
  * AVFoundation: fix setting up the video capture session.
  * Android: support non OpenGL video surfaces for the camera.
  * Android: fix QMediaRecorder crashing the camera server on some devices.
  * WMF: fix type negotiation in video probe transform.
  * WMF: correctly handle samples in the video probe transform.
  * WMF: correctly handle media with multiple streams.
  * AVFoundation: correctly set the activeFormat on the AVCaptureDevice.
  * Change the way a playlist is bound to a media object.
  * Make qmediaplayerbackend::seekPauseSeek test less flaky.
  * DirectShow: fix media player's positionChanged() signal.
  * Make qmediaplayerbackend::processEOS test less flaky.
  * Favor more commonly supported formats in qmediaplayerbackend test.
  * DirectShow: fix metadata signals when changing media.
  * Blacklist tst_qmediaplayerbackend::seekInStoppedState() on RHEL.
  * DirectShow: use the EVR in the renderer control.
  * Windows: Improve EVR presenter.
  * Fix tst_QVideoWidget.
  * Windows: fix build with -opengl desktop.
  * GStreamer: fix GstAppSrc usage.
  * WindowsAudio: fix QAudioOutput state after resume().
  * CoreAudio: fix QAudioOutput state after resume().
  * PulseAudio: fix QAudioOutput state after resume().
  * Alsa: fix QAudioOutput state after resume().
  * OpenSL ES: fix QAudioOutput state after resume().
  * Windows EVR: fix EndOfStream event never being sent.
  * Add 5.6.0 changelog.
  * Update version number in QML plugins.
  * Windows EVR: show frames when pausing from stopped state.
  * PulseAudio: change the way volume is applied.
  * AVFoundation: return correct viewfinder settings.
  * AVFoundation: fix switching to still image capture mode.
  * Add missing implementation for QMediaPlaylist::moveMedia().
  * Fix missing precision qualifier in YUV 4:2:2 shaders.
  * Skip integration tests when the service is not available.
  * Android: correctly use mutex for texture rendering.
  * Android: detect more error cases when rendering frames to textures.
  * Android: improve texture rendering on API level >= 16.
  * Stabilize tst_QAudioOutput::pull().
  * DirectShow: fix playing resource files.
  * Add changelog for 5.6.1.
  * AVFoundation: implement QVideoEncoderSettingsControl.
  * AVFoundation: correctly set default frame rate on OSX.
  * Android: flush the current video frame when the video output is reset.
  * ALSA: improve handling of default device.
  * Add new volume conversion API.
  * Use new volume conversion API in examples.
  * Fix out-of-date documentation for QAudioSystemPlugin.
  * OpenSL ES: use QAudio::convertVolume().
  * Android: fix media player volume.
  * AVFoundation: implement QMediaContainerControl.
  * AVFoundation: implement QAudioEncoderSettings.
  * AVFoundation: fix orientation of recorded videos.
  * AVFoundation: re-apply viewfinder settings on mode changes.
  * Add LogarithmicVolumeScale to VolumeScale enum.
  * Use logarithmic volume scale in examples.
  * DirectShow: fix media player volume.
  * AVFoundation: improve changing the capture device format.
  * PulseAudio: keep device list up to date.
  * DirectShow: fix deadlock in VideoSurfaceFilter
  * DirectShow: correctly clear surface in EVR presenter
  * DirectShow: refactor custom renderer filter
  * WASAPI: remove irrelevant TODOs
  * Merge remote-tracking branch 'origin/5.6' into 5.7
  * Give more time before timeout in some tst_QAudioInput tests
  * tst_QAudioDeviceInfo: don't do implicit cast from NULL to char*
  * Make tst_QMediaObject::notifySignals() less flaky
  * Improve tst_QMediaPlayerBackend::playPauseStop()
  * DirectShow: fix possible deadlock when capturing camera image
  * Android: fix imageCaptured() signal
  * AudioCapture: fix data chunk size in WAV header
  * Android: don't process capture previews when capture is canceled
  * Android: restart preview when image capture fails
  * Android: fix freeze when taking pictures on some devices
  * Fix playing a playlist containing an invalid media as first item
  * AVFoundation: fix mediaStatus and state changes
  * WinRT: emit mediaStatus changes before state changes
  * PulseAudio: flush stream before loading a new source in a sound effect
  * PulseAudio (QSoundEffect): don't write data to an unready stream
  * Improve audio volume documentation
  * AVFoundation: fix memory leak
  * GStreamer: improve QGstCodecsInfo
  * GStreamer: move suggestedFileExtension() out of camerabin plugin
  * GStreamer: use QGstCodecsInfo in QGstreamerAudioEncode
  * GStreamer: use QGstCodecsInfo in QGstreamerMediaContainerControl
  * GStreamer use QGstCodecsInfo in QGstreamerVideoEncode
  * Optimize QMediaPlaylistPrivate::readItems()
  * Merge remote-tracking branch 'origin/5.7' into 5.8
  * Add changes file for 5.6.2
  * Update plugins.qmltypes for 5.8
  * Register 5.8 version for the multimedia QML module
  * Add missing loops property in QML Video type
  * DirectShow: support MJPEG cameras
  * Remove unnecessary import statement in QML snippet
  * Don't try to compile Vivante video node plugin without OpenGL ES
  * Make tst_QMediaObject::notifySignals() less flaky
  * PulseAudio: make code more robust
  * GStreamer: print a warning when the camerabin plugin is missing
  * Stabilize tst_QAudioOutput::pullSuspendResume()
  * Merge remote-tracking branch 'origin/5.6' into 5.7
  * Fix QML module version in documentation
  * Merge "Merge remote-tracking branch 'origin/5.6' into 5.7" into refs/staging/5.7
  * Merge remote-tracking branch 'origin/5.7' into 5.8
  * Bump QML module version in documentation
  * AVFoundation: fix metadata control
  * Clamp volume in QMediaRecorder and QSoundEffect
  * Clamp out-of-range volume values in QAudioInput and QAudioOutput
  * GStreamer: emit mediaStatus changes before state changes
  * Merge remote-tracking branch 'origin/5.7' into 5.8
  * Increase margin of error in tst_QMediaObject::notifySignals()
  * WMF: fix incorrect pointer dereference
  * Add changes file for 5.7.1
  * Blacklist all media player integration tests on OpenSuse
  * Improve playlist tests in tst_QMediaPlayerBackend
  * Android: emit mediaStatus changes before state changes
  * WindowsAudio: fix volume when using multiple QAudioOutputs
  * Blacklist tst_QAudioDecoderBackend on Windows
  * WMF: make it possible to build only the audio decode service
  * GStreamer: fix a memory leak in the media player session
  * PulseAudio: make sound effect implementation more robust
  * Fix building the WMF plugin
  * Add changes file for 5.8.0
  * Merge remote-tracking branch 'origin/5.8' into dev
  * Make QAudioSystemPlugin doc visible.
  * DirectShow: support audio and video codec metadata
  * GStreamer: improve the list of default recording formats
  * GStreamer: add QT_GSTREAMER_PLAYBIN_AUDIOSINK env variable
  * Improve tst_QMediaPlayerBackend::surfaceTest()
  * Improve tst_QMediaPlayerBackend::processEOS()
  * Improve tst_QMediaPlayerBackend::playPauseStop()
  * Rename the QtMultimediaQuick library
  * GStreamer: fix video output stopping when the main thread is blocked
  * GStreamer: fix udpsrc timeout setting
  * Android: implement QMediaPlayer::setPlaybackRate()

  [ Massimo Callegari ]
  * Add OpenGL core profile support to QtMultimediaQuickTools

  [ Peter Seiderer ]
  * Fix no-opengl pixel format check (reenables Format_RGB24)
  * Gstreamer: Use gst_bus_remove_watch() instead of g_source_remove()

  [ Pierre Hallot ]
  * Fix warning on deleteLater on nullptr in QSampleCache

  [ Orgad Shaneh ]
  * QSampleCache: Fix memory leak

  [ Venugopal Shivashankar ]
  * Fixed the QDoc errors related to \qmlproperty usage
  * Moved the C++ module page from qtdoc
  * Moved doc under src to fall in-line with the new modular structure
  * Fixed QDoc errors related to snippets and quotefromfile commands
  * Doc: Added an index page and separated \qmlproperty and \property documentation
  * Doc: Removed the unnecessary \annotatedlist command to avoid duplication
  * Doc: Updated landing page to be consistent with other module landing pages
  * Doc: Moved example documentation and images
  * Doc: Organized related information in subsections
  * Doc: Removed dependency on qtmultimedia.css
  * Doc: Added missing images and made some language edits
  * Doc: Updated the \example and \snippet paths
  * Doc: Fixed broken links to the Multimedia examples
  * Doc: Moved the qdocinc and image to the sourcedirs
  * Doc: Fixed random QDoc warnings
  * Doc: Fixed random QDoc warnings
  * Doc: Added the missing screenshot image
  * Doc: Added a link to the wiki with plugin info.
  * Doc: Corrected a typo.
  * Doc: Exclude outdated content using \omit command
  * Doc: Move all doc artifacts under one project
  * Doc: Fix clang-qdoc diagnostic warnings
  * Doc: Move the literal codeblocks to snippet files

  [ Andre Hartmann ]
  * QSoundEffectPrivate: Use nullptr instead 0 or NULL
  * QSound(Effect): Convert to functor-style connect
  * QSound: Fix comment typos
  * QSound(Effect): Use C++11 member initialization
  * Add more generated files to .gitignore
  * QSound: Allow to play files with qrc schema
  * QSound(Effect): Cleanup coding style
  * QMediaPlayer: remove else after return

  [ Jesus Fernandez ]
  * Resource leak fixed
  * Remove unreachable code

  [ Jarek Kobus ]
  * Fix typos

  [ Jake Petroules ]
  * Fix instance method not found warning
  * Disable some plugins on watchOS
  * Fix AVFoundation camera plugin linking as shared library
  * Remove deprecated QSysInfo APIs and dead code from macOS/iOS backend
  * Correctly include multimedia plugins in iOS and tvOS builds
  * Android: remove support for local/debug deployment
  * Remove obsolete version checks
  * Remove obsolete code paths
  * Add missing includes

  [ Christian Stromme ]
  * Fix unused variable warning
  * Fix property attributes.
  * Fix unused variable warning
  * Fix macro redefinition warning
  * Improve QAudioDeviceInfo::defaultDevice().
  * DirectShow: Restore negotiation of sample type in the io filter
  * Reduce size of QMediaPlayerPrivate
  * DirectShow: Expose the camera control interface
  * Update plugins.qmltypes for 5.9
  * Revert "Android: Set the correct scan line for the video surface format"
  * Revert "Android: Set the correct scan line for the video surface format"
  * DirectShow: Add exposure control
  * DirectShow: Add camera image capture controls
  * DirectShow: Add video probe support for the camera
  * DirectShow: Add the zoom control

  [ Christian Strømme ]
  * Android multimedia plug-in.
  * Fix calculation bug in QWaveDecoder.
  * Android: Added config tests for multimedia on android.
  * Android: add libQt5MultimediaQuick_p to the list of dependencies.
  * Fix for url bug in the qmlvideo examples.
  * Android: Fix for uncaught java exception.
  * Android: Make it possible for MediaPlayer to read from assets.
  * Android: Use isValid() to check if the jobject is valid.
  * OpenSL: Fix typos
  * OpenSL: Fix build warning about unused result variable.
  * Android: Adapt the multimedia plugin to new QJNI API
  * Android: Make sure the OpenSL plugin is included on Android.
  * QSoundEffect: Set playing to true before starting the audio-device.
  * Don't use integers to describe volume internally in QSoundEffect.
  * OpenSL: Fix volume scale
  * Android: Add missing 'L' prefix and ';' postfix in areaToRect()
  * Android add support for qrc in mediaplayer.
  * Fix whitespace issue in the QVideoFrame auto test.
  * Move win32 and Alsa audio backends into plugins.
  * Android: Make the Mediaplayer more robust
  * Android: Fix reload check in onStateChanged().
  * Android: Don't call release() unless it's necessary.
  * Android: Fix QtSurfaceTexture
  * Android: Fix MetadataRetriver wrapper
  * Android: Clean-up in jmultimediautils class.
  * Android: Fix MediaRecorder wrapper
  * Android: Remove inheritance to QJNIObject in the Camera wrapper
  * Android: Use androidSdkVersion() to get the API level.
  * Android: Fix QtMediaRecorder
  * Android: Fix the signature for setOnInfoListener.
  * Android: Use Q_GLOBAL_STATIC instead of a static QMap
  * Android: Release the surface texture when not in use
  * Android: Use QMutexLock in camera callbacks.
  * Android: Camera code clean-up
  * Android: Fix namespace usage.
  * Android: Fix loading from qrc
  * Android: Rename the wrapper classes
  * Make it possible to build multimedia for embedded Android
  * Android: Don't expose java calls in the control classes.
  * Android: Use a file descriptor for all local media files.
  * Android: Make sure we check and clear exceptions from the camera.
  * Android: Remove api level test in qtmultimedia.pro
  * OpenSL: Fix QAudioOutput::setNotifyInterval().
  * Remove unused includes
  * OpenSL ES: Be less rigid about tearing down the output device.
  * Android: Use the new findClass() method.
  * OpenSL ES: Don't store or return the adjusted volume level.
  * OpenSL ES: improve buffer logic
  * Restore ContentCamera.qml
  * Remove warning about missing qmake variable on Android.
  * Android: Don't delete the media recorder object twice.
  * Remove obsolete check in QMediaService
  * Android: Camera updates
  * Android: Make the meta-data reader async
  * Android: Call release() in AndroidMediaMetadataRetriever's destructor.
  * Android: Improve detection of optimal settings for QAudioOutput.
  * Android: Media player improvments.
  * Android: Don't call restartViewfinder() for audio only recordings.
  * Merge remote-tracking branch 'origin/5.5' into 5.6
  * Merge remote-tracking branch 'origin/5.6' into dev
  * DirectShow: Release all filters when disconnecting the graph.
  * Remove AndroidManifest.xml from qmlvideofx example.
  * Android: Fix crash in AndroidCamere::open()
  * Android: Fix attach- and detachFromGLContext()
  * Android: Fix texture leak in QAndroidTextureVideoOutput
  * OpenSL ES: Reset states before starting
  * OpenSL ES: Stop the device if it's not stopped already
  * OpenSL ES: Release audio device source in push mode
  * OpenSL ES: Fix EOS handling
  * Remove useless cast
  * Doc: Add comment about stream requirements
  * Mark AndroidCameraInfo as movable
  * Add missing Q_DECL_CONSTEXPR
  * DirectShow: Reduce the size of DirectShowPlayerService
  * DirectShow: Remove manual filter and pin disconnection in DsCamera
  * DirectShow: Add generic logging category for the DirectShow plugin
  * DirectShow: Use qFuzzyCompare when comparing floating points values
  * WMF: Fix copy-and-paste error
  * DirectShow: Remove unused class and member in DSCameraService
  * GStreamer: Remove typefind function
  * Improve the playlist parser
  * GStreamer: Only register one typefind function
  * Add audio probe handling in the player example
  * DirectShow: Sanitize DirectShowMediaType
  * DirectShow: Add utility class
  * DirectShow: Sample grabber
  * DirectShow: Use the new sample grabber in DsCamera
  * DirectShow: Add audio and video probes classes
  * Android: Add logging category
  * Android: Add convenience method for checking and requesting permissions
  * GStreamer: Fix position value at EndOfMedia
  * Android: Add run-time permission check for recording
  * OpenSL ES: Added run-time permission checks for recording on Android
  * Android: Fix camera preview orientation
  * Fix time-stamp tests in tst_qmediaplayerbackend
  * Fix the testsurface in tst_qmediaplayerbackend
  * Android: Run-time permission checks for camera
  * AVF: Fix mediaplayer state and status issues
  * Android: Fix crash caused by stale video-frame objects
  * DirectShow: Enable audio and video probes in DirectShow
  * DirectShow: Merge the helpers and common folder
  * Merge remote-tracking branch 'origin/5.9' into dev
  * Merge remote-tracking branch 'origin/5.9' into 5.10
  * Fix memory leak in CameraBinImageCapture
  * Android: Set the correct scan line for the video surface format
  * Revert "DirectShow: Fix memory leak in CLSID_FilterGraph"

  [ Maurice Kalinowski ]
  * fix volume handling on Windows
  * add install path to rule
  * simplified example
  * Exclude win32 plugins from WinRT build
  * WinRT: Fix compilation after ANGLE update
  * Remove superfluous include
  * winrt: add capabilities to launch app out of the box
  * winrt: Fix crash in debug mode
  * winrt: Fix playback of files
  * Reinitialize audio when changing device in examples
  * Add Wasapi audio backend
  * winrt: add default capabilities
  * winrt: Remove capability specification
  * winrt: Use ComPtr for better ref count tracking
  * winrt: Add categorized logging to camera control
  * winrt: fix camera control after move to xaml thread
  * winrt: Fix device watcher handling
  * winrt: Disable camera deactivation automation in debug mode
  * winrt: Add YUY2/YUYV to supported formats
  * winrt: Only set focus if supported
  * winrt: Fix crash when initializing certain cameras
  * winrt: Fix potential crash when querying for resolutions
  * winrt: focus action has to happen in the xaml thread
  * winrt: Add logging to QWinRTAbstractVideoRendererControl
  * winrt: Fix synchronization problems to render thread
  * Add config test for wasapi plugin
  * winrt: Do not assert when missing region of interest
  * winrt: Fix QAudioDeviceInfo::default*Device to return name instead id
  * wasapi: Fix thread affinity
  * wasapi: fix typo for supported rates
  * Add BLACKLIST for QSoundEffect
  * winrt: Make focus actions synchronous
  * winrt: Add QCameraFlashControl
  * Blacklist testSetSourceWhileLoading on all Linux distros
  * winrt: Fix crash when locking/unlocking focus
  * Fix compiler warning
  * Update label for backend test
  * winrt: Fix video playback
  * winrt: Fix pause/play for videos
  * Remove support for WinRT 8.1 and Windows Phone 8.1
  * wasapi: Define CLASSIC_APP_BUILD for desktop build
  * winrt: Fix video playback without autoplay enabled
  * wasapi: Enable config tests on windows
  * winrt: Add audiocapture backend to standard build
  * winrt: Store output to cache location

  [ Kevin Funk ]
  * Add virtual dtor to QSGVideoNodeFactoryInterface
  * Replace Q_DECL_OVERRIDE with override
  * Replace Q_DECL_FINAL with final
  * Replace Q_NULLPTR with nullptr
  * Replace remaining Q_NULLPTR with nullptr

  [ Alexander Ivash ]
  * QWasapiAudioDeviceInfo: fix QByteArray => QString conversion

  [ Sami Nurmenniemi ]
  * Added RDS functionality to the QRadioTuner/QDeclarativeRadio
  * Disable/blacklist failing tests for boot2qt
  * Enable tests for boot2qt
  * Skip OVG tests on boot2qt
  * Blacklist tst_QSound::testLooping for OpenSuse 42.3

  [ Steve Schilz ]
  * WMF: Add support for QMediaMetaData::Orientation

  [ Alexandre Jousset ]
  * ALSA: Fix regression in qalsaaudioinput.cpp

  [ Tony Sarajärvi ]
  * Remove insignificant from tst_qpaintervideosurface test
  * Remove insignificant from qdeclarativevideooutput test
  * Remove insignificant flag from qaudiooutput test
  * Remove insignificant flag from qsound
  * Blacklist qaudiodecoderbackend tests in OSX 10.11
  * Blacklist qmediaplayerbackend tests in OSX 10.11
  * Blacklist tst_qaudiooutput in openSUSE 42.3

  [ Bartosz Golaszewski ]
  * PulseAudio: fix a pthread_mutex crash in error path
  * PulseAudio: allow to specify the pulseaudio server string
  * PulseAudio: allow to disable the pulseaudio autospawn feature

  [ Rainer Keller ]
  * Doc: Fix wrong slash

  [ Mika Salmela ]
  * OpenSL ES: Fix crash caused by overcommitting device with data

  [ Sergio Martins ]
  * directshow: Fix plugging/unplugging a second camera
  * Fix inconsistent overrides. [-Winconsistent-missing-override]
  * Fix QNX 6.6 build by using qSqrt() and qLn()
  * Fix BlackBerry -qtnamespace build
  * Use QSet::intersects() instead of QSet::intersect()
  * pulseaudio: Remove unused static member variable
  * Fix usage of QMutexLocker, destroy it only at end of scope
  * Make QMediaTimeRange::operator== more efficient and readable
  * Pass by QUrl by const-ref, it's non-trivial.
  * Use the static version of QFileInfo::exists(), it's faster.
  * Fix gstreamer camera when env var QT_NO_GLIB is set
  * Fix build with QT_STRICT_ITERATORS

  [ Stephan Binner ]
  * Fix build for -no-feature-temporaryfile

  [ Paul Olav Tvete ]
  * Fix build with -no-feature-graphicsview
  * Build fix for -no-feature-timezone
  * Remove unnecessary #include
  * Remove newlines from JSON strings

  [ Ulf Hermann ]
  * Drop unused QProcess include
  * Don't set library paths if !QT_CONFIG(library)

  [ Daiwei Li ]
  * Fix test build when bearer management is disabled

  [ Jason Erb ]
  * Clean up some strange GL defines in windowgrabber.h

  [ Richard Moe Gustavsen ]
  * iOS: add NSCameraUsageDescription to Info.plist for qmlvideofx
  * iOS: add Info.plist to declarative-camera example
  * doc: add platform specific notes for iOS

  [ Hannah von Reth ]
  * WMF plugin: Prevent detaching of QMediaResourceList

  [ Oleg Yadrov ]
  * MediaPlayer: fix crash on pause() call in onPositionChanged handler

  [ Robin Burchell ]
  * Remove out-of-line uses of qMalloc/qFree/qRealloc.
  * Fix a possible crash in QSoundEffect.
  * Change libresourceqt's .pc file.
  * Implement resource policy plugin using libresourceqt.
  * QSoundEffect: Don't try guess a media role if one has not been provided.
  * QAudioOutput: Don't guess media role if one has not been provided in setCategory.
  * Remove some Q_WS_MAEMO_6 instances from examples.
  * Handle resource requests through singleton.
  * QMediaNetworkPlaylistProvider: Upon error parsing, stop parsing.
  * Implement more full resource policy features.
  * Only call pa_cvolme set on stream creation if volume explicitly set.
  * Resource policy support for QSoundEffect.
  * Set volume only if volume was explicitly set.
  * resourcepolicyplugin: Emit resources released signal for acquiring resources as well.
  * QtMultimedia: Use the newly-introduced qmlWarning instead of qmlInfo

  [ Tasuku Suzuki ]
  * remove useless dependency in qmlvideofx.pro
  * Make compile with -no-widgets
  * Fixed a connection to a slot that doesn't exists
  * disable module when gui is not available
  * GStreamer: support date time type in metadata
  * GStreamer: support cover art
  * return better images in metadata in gstreamer

  [ Janne Koskinen ]
  * Fix plugin class name when using neutrino service

  [ Nico Vertriest ]
  * Doc: corrected reference to snippet in qsoundeffect.cpp
  * Doc: link errors
  * Doc: replace Mac OS X with OS X
  * Doc:  minor corrections
  * Doc: corrected reference to parameter "end"
  * Doc: added definition for parameter gain

  [ Daniel Nicoletti ]
  * Fix sending End Of Stream on gst plugin
  * GStreamer: Support video probe on QCamera

  [ Michael Dippold ]
  * OpenSL ES: Fix buffer corruption

  [ David Faure ]
  * Disable FFT when building in static mode
  * QPlaylistFileParser: fix QUrl::resolved+QUrl::fromLocalFile misuse

  [ Anatoly Stolbov ]
  * Android camera: use closest viewfinder resolution

  [ Pavel Golikov ]
  * Android: Fix OpenGL texture name leak

  [ Dan Cape ]
  * QNX: Fixed issue with non Qt-related mm-renderer windows
  * QNX: Fix video playback on VMWare
  * QNX: Avoid reading frames faster than they're rendered
  * QNX: Reset playback position before stopping media

  [ Tuomas Heimonen ]
  * tst_qsoundeffect: Update to case testLooping

  [ Ralf Nolden ]
  * Add FreeBSD define and include for <sys/types.h> where <linux/types.h> is used
  * Make qtmultimedia 5.6 branch compile without c++11:nullptr usage
  * Fix use of -ESTRPIPE where it's not available in errno

  [ Andy Nichols ]
  * Fix missing internal module in sync.profile
  * Added config test for AVFoundation framework
  * Fix issue sharing OpenGL context from render thread on OS X
  * Enable the auto test script to run on OS X
  * Don't run the Linux configure tests on OS X
  * Add MediaPlayer support to AVFoundation plugin
  * AVFoundation: Fix broken requestControl logic
  * AVFoundation: Enable QImage based frame fallback
  * QT7: Remove usage of QMAKE_MAC_XARCH
  * Doc: Cleanup diagram placeholder in Camera Overview
  * Doc: cleanup multimedia overview
  * Remove QEXPECT_FAIL on Linux for QPainterVideoSurface::shaderPresent
  * iOS: Fix build issues
  * Fix file path bug in audiorecorder example
  * AVFoundation: Remove stray semicolon after condition
  * AVFoundation: Emit error when media fails to load
  * Enable QSoundEffect with loopCount of Infinite to play
  * AVFoundation: Remove QVideoSurfaceCoreGraphicsPainter
  * AVFoundation: Enable use of QMediaPlayer for audio on iOS
  * AVFoundation: Use CoreAnimation to render video to QVideoWidget
  * AVFoundation: Enable QVideoWidget on iOS
  * AVFoundation: Basic camera support for iOS
  * CoreAudio: Create an audio plugin supporting iOS and OS X
  * Add classnames for QML plugins.
  * iOS: Remove duplicate class name from qmldir
  * CoreAudio: Allow more flexability when specifying SampleRates
  * AVFoundation: Improve config test
  * CoreAudio: Make it possible to set volume on of QAudioOutput
  * CoreAudio: Use the real default audio device for QSoundEffect
  * AVFoundation: Remove debug code
  * AVFoundation: Fix y-inverted QML Videos
  * AVFoundation: Call stop() on VideoSurface when changing sources
  * AVFoundation: Cleanup AVCaptureSession with proper reference counting
  * AVFoundation: Prevent Crash in QMediaPlayer
  * CoreAudio: Set default audio category to Playback on iOS
  * AVFoundation: Fix another crash when destroying a QMediaPlayer
  * AVFoundation: Add QVideoWindowControl support
  * Mac: Re-enable qcamerabackend test
  * Fix build when building with QT_NO_OPENGL

  [ Sze Howe Koh ]
  * Rename namespace QtMultimedia::MetaData -> QMediaMetaData
  * Enable the "#include <QMediaMetaData>" camel-case header
  * Rename namespace QtMultimedia -> QMultimedia
  * Enable the "#include <QMultimedia>" camel-case header
  * Enable the "#include <QAudio>" camel-case header (regression)
  * Doc: Put QMediaMetaData in the Qt Multimedia module
  * Doc: Polish the description of changes to the Qt Multimedia module
  * Example: Notify user of errors
  * Doc: Fix module name format
  * Doc: Clarify and polish docs for QAudio[Input|Output]::start()
  * Doc: Fix minor typos
  * Decouple qmediametadata.h from qmultimedia.h
  * Doc: Fix some broken links and quote paths
  * Doc: Document asynchronous nature of QMediaPlayer::setMedia()
  * Doc: Qt Audio Engine: Restore lost docs
  * Doc: Document signals (not handlers) under \qmlsignal
  * Doc: Clean up references to Qt System Info
  * Doc: Copy snippets from the Qt Multimedia module
  * Expand license scope from "Qt GUI Toolkit" to "Qt Toolkit"

  [ Ruslan Baratov ]
  * Implement QCameraViewfinderSettingsControl2 interface for Android

  [ Simo Fält ]
  * RHEL 7.1: Enabling make check
  * Blacklist cases from qaudiodecoderbackend in Ubuntu 16.04

  [ Alex Blasche ]
  * Remove QtSystemInfo dependency from Multimedia examples
  * Make the multimedia examples less verbose
  * Add missing \since tag for brightness property
  * Add new QDeclarativePlayList 5.7 items with new QML revision
  * Mark CameraImageProcessing's new brightness property with revision 2
  * Update qmltypes for Qt Multimedia
  * Do not pin Multimedia QML module version
  * Update QML revisions for CameraImageProcessing

  [ Zhang Xingtao ]
  * Doc: fix two typos
  * fix: 'm_state' was not declared in this scope
  * GStreamer camerabin: return the proper camera source

  [ Dyami Caliri ]
  * CoreAudio: Mismatched new[]/delete in several places.
  * QAlsaAudioInput remove unused async_handler member.
  * QAlsaAudioOutput remove async callback.
  * CoreAudioOutput use timeout when waiting for render thread
  * PulseAudio: fix playback for short streams in pull mode
  * PulseAudio: remove debug warning of Underrun
  * CoreAudio: use AudioComponent instead of deprecated Carbon Component

  [ Stephen Hurd ]
  * ALSA: Call snd_pcm_drain() on suspend

  [ Eirik Aavitsland ]
  * Remove the traces of the discontinued android-no-sdk platform

  [ Mark Brand ]
  * fix include statements
  * fix case of included files

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Detect V4L availability
  * ALSA: simplify checking the available version.

  [ Pasi Petäjäjärvi ]
  * Fix playing sound in loop if sample size is small
  * Remove checking exact remaining loop amount right after calling play()
  * Remove testing category to empty string
  * Fix clearing signals already send after first part of audio data
  * Fix setting state to not playing when audio error occurred
  * Be more permissive in QSoundEffect integration test.
  * Fix tst_QAudioOutput::pushSuspendResume().

  [ Anton Kudryavtsev ]
  * QSampleCache: use prefix ++ for iterator in setCapacity
  * fix expensive iteration over QMap::keys() and QHash::keys()
  * QSGVivanteVideoMaterial: fix expensive iteration over QMap::values()
  * Audio: replace foreach with range-based for
  * WMF plugin: replace foreach with range-based for
  * WinRT, WindowsAudio plugins: replace foreach with range-based for
  * QNX plugin: replace foreach with range-based for
  * DirectShow plugin: replace foreach with range-based for
  * AVFoundation: replace foreach with range-based for
  * Replace foreach with range-based for
  * Gstreamer plugin: replace foreach with range-based for
  * Multimedia, MultimediaWidgets: replace foreach with range-based for
  * Video, Playback: replace foreach with range-based for
  * Camera: replace foreach with range-based for
  * QtMultimediaQuickTools: replace foreach with range-based for
  * imports: replace foreach with range-based for
  * QGstTools: replace foreach with range-based for

  [ Mike Krus ]
  * tvOS support

  [ Jim Hodapp ]
  * Add audio role API to QMediaPlayer.
  * Added addItems to QML Playlist for batch adding of tracks.
  * Added insertItems and removeItems to QML Playlist.
  * Add moveItem(from, to) to QMediaPlaylist.

  [ Denis Shienkov ]
  * QtMultimedia: Fix build with CONFIG+=use_gstreamer_camera option
  * Add camera brightness adjustment API.
  * DirectShow: Implement basic QCameraImageProcessingControl interface
  * GStreamer: Adjust the camera's manual color temperature through V4L2
  * DirectShow: Add WhiteBalancePreset and ColorTemperature for the camera
  * DirectShow: Get current image processing parameter from the cache
  * GStreamer: Add color balance and sharpening adjustments using V4L2

  [ Roger Maclean ]
  * Ensure the backend has had its geometry updated.
  * QNX: Handling looping properly

  [ Raphael Kubo da Costa ]
  * alsa: Relax ALSA version checks for 1.1.x to be detected.

  [ Samuel Nevala ]
  * winrt: Fix aspect ratio deviation between preview and encoding streams
  * winrt: Introduce DirectX pipeline bypass.
  * winrt: Optimize camera viewfinder pipeline.
  * winrt: Fix Lumia 1520 black viewfinder.
  * Revert: "winrt: fix camera preview on Lumia 630"
  * winrt: Fix frozen UI caused by camera search and lock focus.
  * winrt: Fix two possible null pointer exceptions
  * winrt: Prevent camera device from being suspended.
  * winrt: Unload camera when application is suspended.
  * winrt: Fix crash when focus operation in progress.
  * winrt: Fix crash when camera unloaded while searching focus.
  * winrt: Fix toggling camera position.
  * winrt: Early return from searchAndLock if camera not active.
  * winrt: Wait for focus to finish when camera stopped
  * winrt: Fix Lumia 930 black viewfinder.

  [ John Brooks ]
  * Fix use-after-free in AVFCameraService during renderer destruction

  [ Morten Minde Neergaard ]
  * Don't initialize volume on pulse audio input by default.

  [ Nodir Temirkhodjaev ]
  * WMF: fix memory leaks.
  * WMF: fix initializing of media player's volume.
  * DirectShow: Avoid warning about unresolved error when file is missing.

  [ Paolo Angelelli ]
  * Fix for disallowed property bindings in qml effect files

  [ Levy, Lawrence-Jacques ]
  * Declare videonode dependency on Qt5MultimediaQuick_p

  [ Marco Benelli ]
  * Fixed revisions of camera-related meta objects.

  [ Ricardo Salveti de Araujo ]
  * Avoid races when sending EOS

  [ Loïc Molinari ]
  * Added new playlist QML type.
  * Clean up QMediaPlayer documentation.
  * Check and fix up bounds in QMediaPlaylist methods.
  * Emit mediaAboutToBeRemoved() before mediaRemoved() in QMediaPlaylist.
  * Bind the playlist connected to a player.

  [ Peng Wu ]
  * Fix WinRT Audio elements cannot play Qt resouce audio files
  * winrt: fix camera preview on Lumia 630
  * winrt: fix camera sample queue thread safety
  * winrt: fix camera preview on Lumia 530
  * winrt: Implement QImageEncoderControl for camera
  * winrt: Fix crash during certain video operations
  * winrt: Add camera focus and focus lock controls
  * winrt: Add camera video probe controls

  [ Jani Vähäkangas ]
  * Blacklist part of tst_qaudiodeviceinfo
  * Blacklist cases from qaudiodecoderbackend and qmediaplayerbackend
  * Blacklist failing part from tst_qsoundeffect

  [ Laszlo Agocs ]
  * Support dynamic opengl32 - ANGLE switching on Windows
  * ANGLE is never available on WinCE
  * Fix bogus videonode plugin handling
  * Make it compile with no-opengl
  * Support YUV420P in the i.MX6 video node
  * Support byte ordered QImage formats in pixelFormatFromImageFormat
  * Migrate to categorized logging in Quick 2 video output
  * Add resolution and fps on mfw_v4lsrc
  * Fix initialization order
  * Add video filtering support to VideoOutput
  * Add Linux and AMD support to the OpenCL filter example
  * Improvide device selection in the video filter example
  * Add an env var to disable OpenGL texture-based video frames.

  [ Carlos Rafael Giani ]
  * videonode: imx6: Ensure the video node excludes padding pixels

  [ Andras Mantia ]
  * Initialize the resource, so it can be used from static libraries.

  [ Frank Osterfeld ]
  * BB10: do not mix up pixel width and height
  * Support plain QNX in mm-renderer mediaplayer impl
  * QNX: Restructure plugins
  * Fix BB10 build
  * QNX/PPS: Fix end-of-track handling
  * QNX: Use window group of top-level window for mmr
  * ios: Do not leak texture cache objects
  * ios: Enable volume and mute functionality
  * OSX/iOS: Fix volume and mute

  [ Siteshwar Vashisht ]
  * Refactored code for audio engine to allow dynamic object creation

  [ Konstantin Ritt ]
  * [DirectShow] Fix potention undefined behavior on destruction
  * [DirectShow] Fix potential memory access violation
  * [AudioEngine] Minor improvement to the docu snippets
  * [AudioEngine] Do not crash on destruction after sample loading error
  * [AudioEngine] Minor code clean-up
  * [QDeclarativeSound] Pass QString by const-ref
  * [QtAudioEngine] Fix C&P typo in the SoundInstance docs
  * [QSoundBuffer] Replace isReady() with state() states

  [ d3fault ]
  * Made audio output example easier to understand. No real code changes

  [ Andrew Knight ]
  * Introducing Windows Runtime backend
  * winrt: Add media playback service
  * winrt: Add camera service
  * Remove private API use from video orientation handler
  * winrt: Fix camera auto rotation
  * winrt: Fix encoding properties
  * winrt: Add missing QAbstractVideoSurface::stop() call.
  * Remove stray <QtNetwork> includes

  [ Libor Tomsik ]
  * Fixing camera enumeration on hotplug

  [ Sergio Ahumada ]
  * Change bugreports.qt.nokia.com -> bugreports.qt-project.org
  * Remove pin of qtbase for qtmultimedia.
  * Add missing QT_{BEGIN,END}_NAMESPACE
  * Remove stale QT_MODULE() usage cases
  * test: Mark tst_QSoundEffect as insignificant
  * Update links from labs.qt.nokia.com to blog.qt.digia.com
  * sync.profile: Point dependencies to 'refs/heads/stable'
  * test: Mark tst_QDeclarativeVideoOutputWindow as insignificant on Windows
  * test: Mark tst_QPainterVideoSurface as insignificant on Windows
  * sync.profile: Point dependencies to 'refs/heads/dev'
  * point dependencies to 'release' branches
  * Bump Qt version to 5.0.1
  * Add changes-5.0.1 file
  * Merge branch 'stable' into release
  * Update copyright year in Digia's license headers
  * Update changes file for 5.0.1 release
  * tst_bic: Add test data for linux-gcc-ia32
  * doc: Fix namespace version to 5.0.1 for qhp documentation
  * tst_bic: Add linux-gcc-ia32 bic data for QtMultimediaWidgets
  * Remove QT_{BEGIN,END}_HEADER macro usage
  * Merge branch 'release' into stable
  * tst_bic: Replace test data for linux-gcc-ia32
  * Merge "Merge branch 'release' into stable" into refs/staging/stable
  * Merge branch 'dev' into stable
  * Add changes-5.0.2 file
  * Bump MODULE_VERSION to 5.1.0
  * sync.profile: Point dependencies to an empty string
  * Bump MODULE_VERSION to 5.1.1
  * Add changes-5.1.0 file
  * Bump MODULE_VERSION to 5.1.2
  * Merge branch 'stable' into dev
  * Merge remote-tracking branch 'origin/release' into stable
  * Merge remote-tracking branch 'origin/stable' into dev
  * Bump MODULE_VERSION to 5.2.1
  * Bump MODULE_VERSION to 5.2.2
  * Prefer to use normalised signal/slot signatures
  * tst_qcamerainfo: Fix weird symbol in license header
  * Fix typo Inavlid -> Invalid
  * Merge remote-tracking branch 'origin/stable' into dev
  * Doc: Fix some documentation warnings
  * Bump MODULE_VERSION to 5.3.1
  * Merge remote-tracking branch 'origin/stable' into 5.3
  * Merge remote-tracking branch 'origin/5.3' into dev
  * Merge remote-tracking branch 'origin/5.3' into 5.4
  * Merge "Merge remote-tracking branch 'origin/5.3' into 5.4" into refs/staging/5.4
  * Add the library prefix to QObject in public header
  * Replace blog.qt.digia.com with blog.qt.io
  * bic: Add 5.{1,2,3,4}.0 bic data for linux-gcc-amd64
  * Fix some typos
  * Fix BSD license headers
  * Merge remote-tracking branch 'origin/5.5' into dev
  * Merge "Merge remote-tracking branch 'origin/5.4' into dev" into refs/staging/dev

  [ James Turner ]
  * Rename camera classes to avoid name clash.
  * iOS video frame render implementation.

  [ Gabriel Hege ]
  * Fix: static linking on Linux with both PulseAudio and Alsa plugins

  [ Andrew den Exter ]
  * Don't delete video node factories owned by the plugin loader.
  * Fix crash on idle status change with 64 bit architectures.
  * Allow the camerabin source selection to be overridden.
  * Fix configuration of camera settings in camerabin backend.
  * Fix recording settings being discarded by the Camera QML type.
  * Fix playback with exotic gstreamer pipelines.
  * Only acquire resources as required in gstreamer backend.
  * Allow the user to specify the viewfinder resolution instead of guessing
  * Remove workaround for resolved gstreamer bug.
  * Fix writing orientation and date exif tags in camerabin.
  * Fix incorrect/missing application of recording settings in camerabin.
  * Allow plugins to override the QML VideoOutput type.
  * Fix gstreamer crash when meta-data is of incorrect type.
  * Add meta-data mappings for GPS and camera make and model to camerabin.
  * GStreamer: Remove tags when an invalid QVariant is assigned.
  * Fix QSGVideoNode rendering of frames with stride != width.
  * Fix stuttering with RTSP streams.
  * Add meta-data accessors to the QML Camera type.
  * Support per-plane strides and data offsets in QVideoFrame.
  * Add QML accessors for camera viewfinder properties.
  * Implement customFocusPoint in camerabin backend.
  * Provide face and orientation info from gstreamer camera backend.
  * Add an EGLImageKHR video node.
  * Implement encoder settings in camerabin backend.
  * Ensure pre-roll frames are displayed when gstreamer backend is paused.
  * Allow supported camera locks to change after initialization.
  * Implement exposure and whitebalance lock for gstreamer camera.
  * Add support for face detection focus point mode to camerabin backend.
  * Add a color filter property to QCameraImageProcessing.
  * Add additional exposure modes to QCameraExposure.

  [ Venu ]
  * Doc: Updated the \brief statements

  [ Bernd Weimer ]
  * BlackBerry: Fixed playback of streamed audio
  * Purged ALSA implementation
  * BlackBerry: Pass encoded URLs to mm renderer
  * Added missing camera error strings
  * Removed camera error code
  * BlackBerry: Fixed volume setting
  * BlackBerry: Changed documentation
  * QNX: Evaluate mm-renderer buffer status
  * Fix unit tests
  * QNX: Fix end of media notification
  * QNX: Fix resetting video surface

  [ David Schulz ]
  * WMF: Fix null ptr derefernce in MFPlayerSession.
  * WMF: Use media source only when it is initialized.

  [ Tomi Korpipää ]
  * QMLVideo Example visual update
  * Updated snapshots for qmlvideo example documentation

  [ Ludger Krämer ]
  * implement QVideoProbe for iOS camera

  [ Jens Cornelis ]
  * Fixed avfmediaplayersession.mm for OSX 10.10 Yosemite.

  [ Allan Sandfeld Jensen ]
  * Fix build with QT_OPENGL_DYNAMIC

  [ Andres Gomez ]
  * QMediaNetworkPlaylistProvider: Upon error parsing, stop parsing.

  [ Bjoern Breitmeyer ]
  * Restore QWindowsAudio support on wince.

  [ Daniele E. Domenichelli ]
  * Fix QSGVideoNode rendering of rgb frames with padding.

  [ Niels Weber ]
  * Rework qmlvideofx example
  * Add missing background for effect selection list.
  * Selecting something now closes menu
  * Handle resizing of mainwindow better
  * Fix documentation of qmlvideofx example
  * Improve Magnify and Ripple effects on video shader example

  [ Jerome Pasion ]
  * Doc: Add ability to generate documentation for the module.
  * Doc: Changed \qmlclass to \qmltype and added \instantiates
  * Doc: Adding documentation templates from qtbase
  * Doc: Added Qt Multimedia to 'qmlmodules' group
  * Merge branch 'master' of ssh://codereview.qt-project.org/qt/qtmultimedia into newdocs
  * Doc: Removed extra qdocconf files.
  * Doc: Fixed "QML Types" listing C++ classes.
  * Doc: Summarized documentation fixes in changelog file.
  * Doc: Add QML Types to table of contents in Assistant
  * Doc: Adding Qt Multimedia Widgets documentation.
  * Doc: Several cosmetic doc fixes.
  * Doc: Removed multimedia overview from "technology-apis" group.
  * Doc: Adding import statement for in Qt Multimedia QML Types
  * Doc: Setting navigation variables for Multimedia and Multimedia Widgets
  * Doc: Setting \qtvariable values in module pages.
  * Doc: Renamed HTML file for "Qt Multimedia on Windows" page.
  * Doc: Updated usage of \qmlmodule and \inqmlmodule.
  * Doc: Removing version number from the QDoc comments.
  * Doc: Various fixes to Qt Audio Engine documentation
  * Doc: Fixed missing links to Qt Audio Engine
  * Doc: Updated url variable in qdocconf files.
  * Doc: Improved example documentation
  * Doc: Removing url variable from qdocconf file.

  [ Fabian Bumberger ]
  * Enable camera on the Playbook
  * QNX: Remove most of the CPU overhead for video rendering
  * BlackBerry: Fix the rotation of the viewfinder
  * QNX: Fix MediaPlayer states handling
  * Fix documentation error

  [ Liang Jian ]
  * Fix QSGGeometry object leak
  * Fix SourceResolver::State object leak
  * Fix memory leak in SampleGrabberCallback

  [ Iikka Eklund ]
  * Change copyrights from Nokia to Digia
  * Merge remote-tracking branch 'origin/stable' into dev

  [ Mitch Curtis ]
  * Fix typo in QMediaPlayer docs.
  * Fix "conversion from 'double' to 'float'" warnings on MSVC2010.
  * Correct QSoundEffect::supportedMimeTypes() documentation.
  * Tidy up Audio documentation.

  [ Wouter Huysentruit ]
  * Fix: Only flip video once for BottomToTop scanline directions
  * Fix: Bug fix in determination of scanline direction
  * Use the new (-no)-wmf-backend configuration option
  * Release videoframe on painter stop()

  [ Michael Olbrich ]
  * enable imx6 specific QSGVideoNode based on a config test
  * videonode: imx6: cleanup pixel formats
  * videonode: imx6: clear texture cache when the format changes

  [ Thomas Senyk ]
  * changing include from qdeclarativeinfo to qmlinfo in qdeclarativeaudio.cpp
  * add #include <unistd.h> to classes which use ::getpid
  * adding zero-copy-QSGVideoNode for imx6

  [ tom ]
  * Fixes mediaplayer crashes on OSX

  [ Wolfgang Bremer ]
  * Fix build error on BlackBerry10

  [ Jędrzej Nowacki ]
  * Build fix after a QVariant change
  * Use QStringRef instead of QString whenever possible.

  [ Denis Kormalev ]
  * Android: fix camera preview
  * Android: camera moved to a dedicated thread
  * Android: QVideoProbe support for camera

  [ Jeff Tranter ]
  * Fix some typos in documentation.

  [ Marius Wachtler ]
  * Fix WMF Video not playing if no soundcard is available

  [ Morten Johan Sørvig ]
  * Compile in 32-bit mode.
  * Add classname entry to qmldir file.

  [ Tobias Koenig ]
  * Blackberry: Refactor plugin directory structure
  * Blackberry: Add camera support for BB10 platform
  * Blackberry: Ensure that camera viewfinder texture is upright
  * Blackberry: Restart camera viewfinder after standby
  * Blackberry: Fix orientation of taken photos
  * Blackberry: Fix resolution selection for video recording
  * Blackberry: Extend platform-specific documentation
  * Blackberry: Add support for reading meta data in QMediaPlayer
  * Blackberry: Grab viewfinder frames from native window
  * Blackberry: Implement QVideoRendererControl for QMediaPlayer backend
  * BlackBerry: Mirror viewfinder for front camera
  * BlackBerry/QNX: Implement audio recording with QAudioInput
  * Add autoOrientation property to QDeclarativeVideoOutput
  * BlackBerry: Fix frame size of video playback
  * Blackberry: Fix video recording
  * Blackberry: Fix camera viewfinder
  * Blackberry: Improve camera focus handling

  [ Pier Luigi Fiorini ]
  * Fix the X11 build error

  [ Tobias Hunger ]
  * QGstTools: Fix warning about unused m_intervalTimer
  * QGstXvImageBuffer: fix warning about class/struct mismatch
  * PulseaudioInput: Remove unused members

  [ Bill Somerville ]
  * Fix QAudioOutput::setVolume() limited 50% on 32-bit Windows

  [ tommyadam ]
  * Fix resource leak in directshow plugin.

  [ David Fries ]
  * qmlvideo example, add missing #ifdef PERFORMANCEMONITOR_SUPPORT

  [ Thomas McGuire ]
  * Ignore QtCreator user settings.
  * Use QtMultimedia 5.0 in the QML Video element doc.
  * Move QVideoWindowControl out of widgets.
  * Improve .gitignore
  * Support QVideoWindowControl in the QtQuick Video element.
  * Add blackberry backend
  * Blackberry: Fix erratic video resize behaviour
  * Blackberry: Compile with lastest event filter API changes
  * Blackberry: Fix metadata reader for more recent OS versions
  * Blackberry: Fix case of setting multiple media files
  * Blackberry: Fix playback from certain URLs
  * Blackberry: Fix playlists not advancing to the next track.
  * Blackberry: Fix spurious position udpates in playlists
  * Blackberry: Assert that we are in detached state
  * Blackberry: Use debug output for errors by default
  * Hide the video overlay when the QML element is hidden
  * Blackberry: Add Q_DECL_OVERRIDE keywords
  * Blackberry: Enable support for audioengine if available
  * Blackberry: Add a page with platform-specific documentation
  * Blackberry: Fix warning about unsigned integer comparison
  * Playbook: Work around failing screen_read_window()
  * VideoOutput: Take the surface's viewport into account

  [ Masaya TAKAHASHI ]
  * Doc: Fix missing element name in Video

  [ Fawzi Mohamed ]
  * audioengine: update qmltypes

  [ Jan Arve Saether ]
  * Fix bic autotest

  [ El Mehdi Fekari ]
  * Fix for build break on QNX

  [ Stephen Kelly ]
  * Use QPointer instead of QWeakPointer to track QObjects.
  * Test that the package configs for QtMultimedia work.
  * Add the CMake directory created during unit testing to .gitignore.
  * Mark QtMultimediaQuickTools library as internal.
  * Use Qt::WindowFlags, not Qt::WFlags.
  * CMake: Test module includes
  * CMake: Remove obsolete test_modules test
  * Remove QPointerBase bic check.
  * Use qmake for package dependency resolution in cmake tests.
  * Test the cmake multimediawidgets module only if widgets is available.
  * Delay deletion of the QNetworkAccessManager.
  * Merge "Merge remote-tracking branch 'origin/stable' into dev" into refs/staging/dev

  [ Kevin Ottens ]
  * Blackberry: Move the mediaservice plugin in a subdirectory
  * Don't add the beginning of the file to the end of the last period
  * Export QAudioHelperInternal symbols
  * BlackBerry/QNX: Add a new backend for Blackberry handling audio

  [ Timo Jyrinki ]
  * Add license files mandated by (L)GPL.

  [ Johanna Aijala ]
  * Merge branch 'stable' into release

  [ Jing Bai ]
  * add error handling in image capturing in camera

  [ sanevala ]
  * User is not able to select file from FileBrowser and play it.
  * Fix qrc references on qmlvideo example.
  * User cannot press cancel after folder up.
  * Video has ended UI say tap to stop.
  * User is not able to select file from FileBrowser and play it.
  * User cannot press cancel after folder up.
  * Loop video infinetely on qmlvideofx.

  [ Laszlo Papp ]
  * Add a simple accessor to the video provider snippet

  [ Oleg Shparber ]
  * blackberry: fixed building without QtWidgets
  * Make QtMultimedia an identified module

  [ hjk ]
  * QtMultimedia: examples/camera coding style
  * Multimedia: examples coding style unification
  * Polish and fix qmlvideofx example

  [ Miikka Heikkinen ]
  * Add PLUGIN_CLASS_NAME to qtmultimedia plugins
  * Add qmake generated files to .gitignore.

  [ Shawn Rutledge ]
  * All QWindow properties that have "window" in them have been renamed.
  * Fix includes to build on case-sensitive filesystem

  [ Samuel Rødal ]
  * Get rid of useless requestOrientation() calls in the examples.

  [ Erik Verbruggen ]
  * Fixed build on MacOS with clang in C++11 mode.

  [ Andras Becsi ]
  * Fix the bufferProgress property of QDeclarativeAudio
  * Media is always set to be seekable with the gstreamer backend
  * Clean up QGstreamerPlayerSession
  * Remove nonfunctional mediaDownloadEnabled property
  * Fix QGstreamerPlayerSession::availablePlaybackRanges()

  [ Holger Ihrig ]
  * Adding 3rdparty library libfftreal to install step

  [ Caroline Chao ]
  * Remove unused value in qvideowidget.cpp
  * Fix for QuickTime 7 media player backend

  [ Dmytro Poplavskiy ]
  * Disabled alsa on maemo devices.
  * Gst player backend: increased network timeout.
  * Harmattan resource policy bug workaround for QCamera
  * Gst backend: Fixed deadlock when pipeline is stopped during prerolling.
  * Gstreamer media backend cleanup.
  * Initial implementation of QML2 VideoOutput element
  * Ported gstreamer camera backend from camerabin to camerabin2.
  * Dropped Incandescent white balance mode.
  * Fixed crash when QMediaObject is deleted before QMediaRecorder.
  * Fixed crash when QCameraImageCapture is deleted before QMediaRecorder.
  * QML Camera element redesign.
  * Camerabin backend: fixed compilation without X11
  * Gst player backend: don't show the first frame when resuming playback.
  * Declarative VideoOutput: added support for more rgb formats.
  * Added testcase to qcamerabackend test CONFIG
  * Added support for non QMediaObject based VideoOutput sources.
  * VideoOutput: release video frames when the video surface is stopped.
  * Updated I420 video node to be consistent with RGB node implementation.
  * Allow nested read only maps of QVideoFrame.
  * Implemented QDeclarativeCameraCapture::setMetadata
  * Registered CameraFlash qml type
  * Changed QCamera::captureMode property to QFlags
  * Replaced QAudioCaptureSource with QAudioRecorder.
  * QAudioRecorder: fixed handling the missing inputs control.
  * Changed metadata keys type from enum to QString.
  * Fixed mapping video frames in SG nodes
  * Removed camera simulator backend.
  * Disabled CameraBin2 based camera backend.
  * Removed QMediaServiceProvider parameter from media objects constructors.
  * QCameraExposure API refactoring
  * Moved zoom related properties out of QCameraFocusControl
  * Split QMediaRecorder::setEncodingSettings to separate setters.
  * Added more encoding settings to declarative camera recorder.
  * Added QMediaRecorder::actualLocation property
  * QCameraImageProcessingControl API fixes
  * Changed QCameraFocus::focusMode type to QFlags based FocusModes
  * Made camera unit tests more stable
  * Added metaDataChanged(key,value) signal to metadata controls.
  * Removed QFlags from declarative camera properties.
  * Moved QMediaServiceProvider to private header.
  * tst_qmediaplayerbackend: try to load test file from the current dir.
  * Expose capture request id in the declarative camera.
  * Updated declarative camera recorder with C++ API changes.
  * Updated declarative camera image processing with C++ API changes
  * Added location specific metadata keys.
  * Fixed gst bus helper when qt build without glib support
  * Don't request renderer control if null surface is set as video output.
  * QCamera capture documentation fixes
  * gst video surface sink: start surface with correct handle type
  * Fixed the qml Camera.imageCapture.imageExposed signal connection
  * Added VideoLight camera flash mode.
  * Ensure GstBus is available during GstBusHelper lifetime.
  * qvideosurfacegstsink: fixed calculation of supported formats.
  * gst player: clear the buffer pool when the video sink is stopped
  * Added QCamera::UnloadingStatus and StoppingStatus values.
  * Added QMediaRecorder::status property
  * Replaced QMediaRecorderControl::play/stop/pause with setState
  * Fixed typo in QMediaRecorder::Status metatype registration
  * Declare and register metatypes for media encoder settings classes
  * Gst played: removed GST_SEEK_FLAG_ACCURATE flag
  * Added QMediaRecorder::OutOfSpaceError error code
  * Improved QDeclarativeCameraRecorder errors reporting
  * Fixed QML Camera errors reporting
  * Gst backend: allow rendering other video buffers than allocated
  * Expose camera status to QML Camera element
  * QML VideoOutput: don't keep video frames for more than necessary
  * Fixed typo in QCamera::Status documentation
  * Added missing QDeclarativeCamera::CaptureViewfinder enum value
  * Added custom parameters to Audio/Video/ImageEncodingSettings
  * Replaced camera viewfinder resolution control with settings control
  * Fixed not initialized QVideoFrame mappedCount member
  * Removed encoding options from Audio/Video encoding controls
  * Added QAbstractVideoBuffer::release virtual method
  * Allow gst video capture startup without viewfinder attached.
  * Gst capture: don't wait for pipeline to stop
  * Gst capture service: capture mode fixes
  * Gst Capture: image capture fixes
  * Fixed QML video playback on Mac
  * Gst capture: report the actual media location to application
  * Gst audio input: use autoaudiosrc as default device
  * Gst capture: use QDesktopServices for default storage location
  * Updated the camerabin2 based camera with QtMultimedia changes
  * Camerabin camera service: configure default video settings
  * Removed the playbackStateChanged signal from Video element
  * Gst player backend: removed fifo based stream playback fallback
  * Ported QML camera example to QtQuick 2.0 and QtMultimedia 5.0
  * Added volume property to QMediaRecorder
  * Removed QEXPECT_FAIL for non reproducible showFullScreen bug on Mac
  * Replaced endpoint control with audio input and output controls
  * Re-enabled CIImage based gfx video item on Mac
  * Initial implementation of Mac camera backend
  * Camera integration test fixes
  * Fixed AVF camera backend build with namespaced Qt

  [ Romain Pokrzywka ]
  * Fix gstreamer plugin build for platforms with qreal -> float

  [ Jason Barron ]
  * WMF Backend: Fix crash in MFPlayerService::releaseControl.

  [ Kurt Korbatits ]
  * Turned back on some disabled unit tests as insignificant tests
  * Updated QAudioOutput and QAudioInput system tests
  * Fixed qaudioinput unit test with pulseaudio backend
  * Fixed qaudioinput and qaudiooutput tests running on loaded system
  * Fixed error in qaudioinput alsa backend for invalid format.
  * Updated qaudioinput and qaudiooutput tests.
  * Added volume control for QAudioOutput & QAudioInput (alsa)
  * Added base and soundeffect test
  * Fix compile failure in qmediaplayer unit test
  * Added check to alsa backend for QAudioOutput
  * Replace QSoundEffect backend using qmedia with qaudiooutput implementation
  * Added check to qsound and qsoundeffect unit tests for audio support
  * Added skips to reported bugs in qmediaplayerbackend test

  [ Lev Zelenskiy ]
  * QMediaPlayer::setPosition: do not check isSeekable and do not bound by duration
  * Gst player backend: fixed prerolled frames rendering
  * Changes to QMediaPlayer GStreamer backend to allow setPosition before pause
  * Changes to media probing API.
  * GStreamer backend changes for media probing API.
  * QMediaRecorder: GStreamer backend changes for media probing API.
  * Added QAudioDecoderControl::sourceChanged signal.
  * GStreamer backend for audio decoder service.
  * Changes to QAudioBuffer and QAudioDecoder (position and duration).
  * Changes to GStreamer backend for audio decoder.
  * Video player example updated to display histogram using QVideoProbe.
  * Audio recorder example updated to display level using QAudioProbe.
  * Audio decoder example.
  * Move most of playlist API to private.
  * Added playlist property to QMediaContent
  * New playlist parsers to support network playlists.
  * QMediaPlayer frontend: changes to playlist support.
  * QMediaPlayer: GStreamer backend changes for playlist support.
  * Added integration test for new playlist functionality.
  * QMediaPlaylist: Added ability to load from provided QNetworkRequest.
  * Fixes to qmediaplayerbackend integration test: use ogg video on Linux.
  * Fixed: Streams information is not updated properly for RTSP streams.
  * Reset playbin state to NULL on end of stream signal.
  * GStreamer backend: set initial volume and mute values.
  * Updated integration test to check initial volume.
  * Added integration test for subsequent playback to media player backend.
  * GstVideoConnector: make sure downstream filter is in correct state.
  * QDeclarativeVideoOutput: correctly disconnect _q_updateMediaObject
  * Added integration test for video surface backend.
  * Emit connection-failed signal if gst_pad_alloc_buffer fails.
  * Disconnect probe control in case source was destroyed.
  * QAudioProbe unit test.
  * QVideoProbe unit test.
  * Do not try to complete flush operation if stream has changed.
  * Still need to count usage even when capacity is zero.
  * Extended integration test for QSoundEffect
  * Added unit test for QSampleCache.
  * QSampleCache: Add a method to check whether a sample is cached.
  * QSampleCache unit test: correctly check whether sample is cached.
  * Implement QGstreamerVideoRenderer::stopRenderer()
  * QGstreamerMetaDataProvider: fix keys not mapped properly.
  * QGStreamerPlayerSession: unref pads after using them.
  * When resource is lost pause the pipeline instead of stopping it.
  * Update duration information after switching to PLAYING state.
  * QAudioOutput: low-latency related changes.
  * GStreamer player session: remove code for old playbin.
  * Fix crash in audioinput and audiooutput examples.
  * Added support for big endian data to QAudioOutput win32 backend.
  * Clean buffers before closing the input device.
  * Allow frequences up to 96000 in QAudioInput win32 backend.
  * Read actual period size after initializing a stream.
  * Audioprobe implementation for wmf backend.
  * Videoprobe implementation for wmf backend.
  * Player example histogram: Process frames on a separate thread
  * Volume control for QAudioInput windows backend.
  * Audio probes for AudioCapture plugin.
  * Fixed: use selected audio input device.
  * Use moniker display name for device string.
  * Change the way camera format is selected.

  [ Michael Goddard ]
  * Initial copy of QtMultimediaKit.
  * Remove Symbian packaging information.
  * Two minor static analysis issues.
  * Add gui to the Qt prereqs.
  * Use the correct qmake variable for enabling private tests.
  * Move the QtMultimedia spectrum demo to QtMultimediaKit
  * Add missing autotest.
  * Prepare for QtQuick2 based declarative elements.
  * Remove some obsolete bits.
  * Remove a few more obsolete parts.
  * Remove most of the "mobility" references.
  * Remove the QtQuick1 stuff from Audio.
  * Add the configuration tests.
  * Add Windows Media Foundation backend for QMediaPlayer
  * API unit tests from Maemo API test team.
  * Fix the module.pri file.
  * Mark a few tests as "not autotests".
  * Try to move widget/gvitem code into new QtMultimediaKitWidgets lib.
  * Split the unit tests for widgets up as well.
  * Merge branch 'camera' of git://scm.dev.nokia.troll.no/qt/qtmultimediakit
  * Mark a few tests as insignificant on QPA.
  * Clean up the autotest pro files to remove warnings about private headers
  * Fix some compiler warnings.
  * Silly defs file error.
  * Split some of the autotests into widget and non widget parts.
  * Remove older QGLContext calls in favour of new QOpenGLContext.
  * Add QT_BEGIN/END_HEADER things, plus QT_MODULE thing.
  * Clean some doc warnings.
  * Move resource policy usage to a config test.
  * Merge branch 'camera' of ssh://codereview.qt-project.org:29418/qt/qtmultimediakit
  * Move the backend specific documentation into a nicer place.
  * Remove QApplication usage - it's in QCoreApplication.
  * Fix a few QT_BEGIN/END_HEADER pairs.
  * Rename QtMultimediaKit to QtMultimedia.
  * Improve video test coverage and debugging output.
  * Fix the wavedecoder a little.
  * Rename the parsing error signal to parsingError.
  * Add QNAM tests to wavedecoder as well, to simulate slow sources.
  * Make sure this library gets installed.
  * Make the C++ API of QSoundEffect public.
  * Fix debug output test - type is qreal, so can be float or double.
  * Limit the sequential bytes skipping to a max 16kB at a time.
  * Declare these metatypes.
  * We already have a mock backend.
  * Fix config.test
  * Merge remote branch 'qtmultimedia.git/master'
  * Use deleteLater when called on a decoder error.
  * Remove the last bits of QtMultimediaKit (*).
  * Add a private class, since we now can.
  * Declare more metatypes and debug operators.
  * Rearrange the automatic tests.
  * Change the order textures are bound.
  * Add qRegisterMetaTypes for the public Q_DECLARE_METATYPEs.
  * If Pulse isn't ready, don't crash when trying to play.
  * If the sample hasn't been loaded, don't try and delete things.
  * If the sample hasn't been loaded, don't try and delete things.
  * If we fail to connect to pulse, don't enumerate sinks or sources.
  * QAudioDeviceInfo is actually an integration test.
  * Add orientation support to VideoOutput.
  * Remove the module prefix from a number of includes.
  * Fix a compiler warning.
  * Enable the new examples.
  * Disable some build time messages.
  * Fix some of the effects in qmlvideofx
  * Fix namespace compilation.
  * Remove some test functions that are actually integration tests.
  * Remove a random instantiation of a backend.
  * Initialize the mock player state variables.
  * Restructure the source code a little.
  * Properly handle the case where QtWidgets is not available.
  * Add the spot for spot metering mode.
  * Remove widgets config test.
  * Improve the QCameraFocus and QCameraImageProcessing documentation.
  * Polish the video documentation a bit.
  * Remove some very out of date information.
  * Add a metaData property to QVideoFrame.
  * Remove antiquated \since lines in docs.
  * Fix up a few doc issues
  * More minor doc fixes.
  * Set the volume for our automatic integration tests.
  * Add a simple Torch class that wraps the camera flash.
  * Enable building the documentation snippets.
  * Use US spelling for organization.
  * Document two VideoOutput properties.
  * Update documentation.
  * Implement QAudioDeviceInfo operator==/!=
  * Add a feedback control for Camera.
  * Fix some static analysis defects.
  * Add a volume (gain) property to QAudioInput.
  * Add a rendered and content rectangle properties to VideoOutput QML.
  * Fix some surface assignment errors.
  * Add a viewfinder resolution control for camera.
  * Rename multimediaoverview.qdoc to multimedia.qdoc.
  * Add a file documenting what has changed from previous versions of MM.
  * Remove QMediaImageViewer (SC break).
  * Fix some warnings.
  * Documentation tweaks.
  * Add a QAudioBuffer class.
  * Add some media probing API.
  * Add exports for probe classes.
  * Remove some more QTest::qWait(10) calls.
  * Add the audio decoder variant of QMediaPlayer.
  * Add some recent things to the overview docs.
  * Documentation updates for declarative camera elements.
  * Tweak some more documentation.
  * Fix some compiler warnings.
  * Add Video_4.qml to the packaging.
  * Use a PA function to compare specs instead of memcmp.
  * Use QTESTFINDDATA to FIND TEST DATA.
  * Add a partial gstreamer based audio decoder service.
  * Add the hasAudio/hasVideo properties from MediaPlayer to Video.
  * Fix QAudioBuffer sampleCount vs. channelCount.
  * Fix a few audiodecoder things.
  * Don't reset saved playback position if playback resource is denied.
  * Expose the audio and video encoding modes through QML as well.
  * Pin QtBase SHA1 until it's fixed.
  * Expose availability from the backend to C++ and QML.
  * Fix some memory leaks.
  * Fix a few memory leaks.
  * Remove unimplemented BG playback feature.
  * Handle more errors from GStreamer.
  * Merge the QDeclarativeMediaBase and QDeclarativeAudio classes.
  * Make QDeclarativeAudio use QMediaPlayer instead of the controls.
  * Make this unit test a bit more robust for qreal changes.
  * Fix a number of doc errors and warnings.
  * Move QAudioDecoder to public.
  * Expose the audio category information for streams.
  * Adjust to changed QUrl::isRelative() semantics.
  * Make sure the audio/video availability information changes atomically.
  * Fix a possible stale pointer access if we can't connect to PulseAudio.
  * Fix a compiler warning.
  * Call the base QQuickItem geometryChanged function in our override.
  * QVideoWindowControl moved to QtMultimedia, fix docs.
  * Clarify the metadata functionality of QMediaPlayer.
  * A number of documentation fixes.
  * Remove the legacy QML API.
  * Clarify documentation about QAudioDecoder::read and blocking.
  * Reduce the usage of QAbstractVideoBufferPrivate.
  * Replace a writable position() property with a seek() method.
  * Tweak the controls documentation.
  * Fix a number of other qdoc issues.
  * Remove the USE_COCOA #ifdef, it's always defined now.
  * Fix QAudioOutput volume on OSX.
  * Add the QtBase/lib directory as a library path, not just frameworks.
  * Add a few things to the .gitignore file.
  * Fix header path for audio engine on Mac.
  * Rename a few controls.
  * Rename availabilityError to availability.
  * Fix typo in config test name.
  * Clarify API/docs by introducing the audio "frame", and add helpers.
  * Fix some QAudioInput errors on OSX.
  * Fix a few header style violations.
  * Fix some failing QAudioInput integration tests on OSX.
  * Add 32 bit support (int/float) support to audioinput example.

  [ Corentin Jabot ]
  * The qt quick imports are build only if qtdeclarative is present

  [ Mylione Anadarajah ]
  * Adding script which will run automated testcases.
  * Added data driven integration tests for qaudiooutput.
  * Added data driven integration tests for qaudioinput.

  [ Lukas Geyer ]
  * Fix compilation issue with MinGW (disables the usage of strsafe.h).

  [ Ali Akhtarzada ]
  * Fixed docs for QAudioInput::bufferSize and setBufferSize

  [ dakovaci ]
  * Added basic audio system tests
  * added basic video system tests
  * Added basic camera system tests
  * Added basic radio system tests
  * Radio systemtests
  * Add playlist test
  * Edited the Camera systemtest
  * SoundEffects System Tests added
  * Moved camera tests
  * Added some radio systemtests, edited
  * added locksreen, hw volume and headset systemtests to audio
  * Edited the radio system teste
  * Typo fix
  * Removed some systemtests
  * Small typo edit
  * Removed some system tests not applicatple to tier 1 platforms
  * Edited radio systemtests to support tier 1 platforms
  * Moved some files to different dir's
  * Added some directories for coming systemtests
  * Added an audio recording system test

  [ Toby Tomkins ]
  * Fixed qtmultimedia imports -qtnamespace issues.
  * Fixed QtMultimedia core namespace compilation.
  * Fix namespace compilation.
  * Add expected fail flags for consistently failing autotests.
  * Remove insignificant flag from tests that are passing.
  * Skip crashing tests and replace insignificant tests with QEXPECT_FAIL.
  * Specify the platform on which test is insignificant.
  * Replace insignificant flag for mac with QEXPECT_FAIL. Keep for win32.
  * Apply insignificant flag to platform that is actually unstable.
  * Fix QQuickCanvas renames.

  [ Mithra Pattison ]
  * Fix readyChanged signal emit in gstreamervideorenderer
  * Adding hasAudio and hasVideo properties to QML MediaPlayer
  * Add new implementation of QSound class
  * Fix for QSoundEffect crash bug
  * Change timeout on qcamera capture tests to QTRY_VERIFY
  * Fix target executable name in audiooutput example
  * Add default initialisation to various multimedia classes
  * Fix installation of spectrum example
  * Delete obsolete class methods and update related code
  * Update ALSA device enumeration to return all devices
  * Fix include path error in shadow build of audiorecorder example
  * Update example QML to follow API change
  * Fix for broken QML multimedia import on windows

  [ Ling Hu ]
  * Fix playback problem with RTSP streaming for QMediaPlayer(gstreamer)
  * Fix for QTMOBILITY-1772 VideoWidget example crash on windows
  * Add some debug output in QMediaPlayer gstreamer backend for convenience
  * Add QMediaBackgroundPlaybackControl interface
  * Add background audio element.
  * Don't re-set default properties in MediaBase::componentComplete
  * Fix the config.tests for WMF backend.
  * Fix config.tests for directshow backend.
  * fix a spelling error
  * Fix a playback bug for mediaplayer windows media foundation backend
  * Update background audio element to use new service name
  * Add a new servicename for background mediaplayer
  * Init mediaobject at classBegin rather than componentComplete
  * Fix pullmode data lost problem in QAudioOutput(pulseaudio)
  * Add additional protection on the write size in QAudioOuput(pulseaudio)
  * Add cap on internal read/write buffer for QAudioOuput(PA)
  * Fix volume change error on mono stream for soundeffect(pulseaudio)
  * Fix SoundEffect(pulseaudio) crash in qfeedbackmmk auto test
  * Add testDestroyWhileRestartPlaying for qsoundeffect
  * Add new gapless playback control interface
  * add Q_OBJECT to QMediaGaplessPlaybackControl
  * Disable wmf for now
  * Fix header changes for wmf
  * Add AudioEngine with new implementation
  * Update audioengine overview doc & reference doc
  * Added resource policy support though internal plugin system
  * Implemented availability control for gstreamer player backend
  * Make gstreamer player backend reserve/release video resource.
  * Minor improvements on resource-policy interfaces
  * Fix tst_qmediaplayerbackend construction test.
  * Made pulsedevices high priority than oss for recording
  * Enable auto resume of playback for gstreamer mediaplayer
  * Enabled wmf plugin on Windows again
  * Fixed some crash with WMF backend
  * Fixed a WMF seek bug.
  * Refactoring wmf plugin
  * Fix a potential leak in wmf
  * Added wmf implementation for QAudioDecoderControl
  * Fix a crash problem in AudioEngine due to class name change.

  [ bigbearzhu ]
  * Fixed major mem leak of unfreed GstTagList when playing ogg files.
  * Translated corresponding Gstreamer errors to QAudioDecoder::FormatError
  * buffer should only be available when m_buffersAvailable > 0.
  * Added tests for unsupported and corrupted file.
  * Release string after gst_cap_to_string is called.
  * Fixed a testing bug.
  * Fixed plugin dir error on Windows.
  * Fixed timeout on waiting for positionChanged event.
  * Fixed a testing bug on windows platform.

  [ Angus Cummings ]
  * Added Video.qml to QtMultimedia, Video component
  * API changes to QML element MediaPlayer aka Audio
  * resolving some warnings in qtmultimedia docs
  * expanding unit test for QAudioDecoder
  * Change Video and VideoOutput docs to mention ScreenSaver
  * Adding QtAudioEngine to the landing page
  * Link to QtAudioEngine on multimedia landing page
  * Renaming audioengine overview to Positional Audio
  * Minor doc fixes for QML
  * Very minor C++ doc changes
  * Reordering audio overview doc
  * Fixing doc errors in MediaPlayer and CameraFlash
  * Renaming the QML overview page
  * ensure important docs are built by the automated publisher
  * Fixing some doc errors for overview
  * Adding qdoc workaround to all control classes
  * Renaming StopppedState to StoppedState
  * More doc things
  * Updating brief layout of QML types

  [ Alan Alpert ]
  * Update sync.profile dependencies to new syntax
  * Update sync.profile dependencies to new syntax
  * Update in line with recent QWindow API change
  * Update folderlistmodel import to version 2

  [ Kent Hansen ]
  * Adapt to QtDeclarative api renaming (QSG --> QQuick)
  * Fix logic in QAudioDeviceInfoInternal::updateLists()
  * Don't use QtDeclarative compat module
  * Avoid string-based, dynamic lookup of signals
  * Don't use QtWidgets/QApplication in autotests
  * Fix compilation without QtWidgets and QtOpenGL on Mac

  [ Johannes Zellner ]
  * Fix compilation when appsrc is not available.
  * Add gstreamer.json to OTHER_FILES

  [ Girish Ramakrishnan ]
  * Adapt to _qpa file rename in qtbase.

  [ Jonathan Liu ]
  * Fix MinGW-w64 compilation

  [ Jonas Rabbe ]
  * Temporarily disabled demos, examples, and some tests
  * Stay away from unnecessary code paths if the movie is 0 (NULL)
  * Fixed up examples and demos
  * Use correct varible name in targets for imports
  * Moved demo(s) to examples.
  * Fixed a hang of the QAudioOutput auto test on Mac OS X
  * Changed assert to match uri syntax for Qt 5 declarative modules
  * Temporarily removed include statements to disabled headers
  * Blacklisted auto test for QSoundEffect
  * Fixed compile error on Mac OS X Lion, missing include statement.
  * Added first implementation of declarative radio element
  * Introduction of fake radio backend to enable testing the radio APIs
  * Added QML API for getting the limits for a specific radio band.
  * Merge branch 'radio' into 'master'
  * Added tune up and down methods, and changed name of scan methods.
  * Fakeradio: emit signal when scanning aborted
  * Tests should not be unconditionally excluded.
  * Fixed a couple of failing auto tests.
  * Moved general gstreamer helper classes into separate library.
  * Copied ALSA config test into QtMultimedia module
  * Fixed build problems with Quicktime
  * Added qRegisterMetatype for QVideoSurfaceFormat.
  * Changed QVideoSurfaceGstSink to take pools from plugins
  * Export QMediaPluginLoader so it can be used by libqgsttools_p.
  * Export QMediaPluginLoader so it can be used by libqgsttools_p.
  * Fix X11 and QPA compilation problems
  * Added documentation for the Radio and RadioData QML elements.
  * Updated QtMultimedia declarative module to version 5.0
  * Added overview documentation for the radio
  * Added documentation for the convenience Video element
  * Fixed wrong type for autoLoad property in Video element.
  * Added antennaConnected property to QRadioTuner and radio qml element
  * Changed plugin loader to try unloading plugin if unused
  * Added loading of video node factories from plugins
  * Fixed possible dependency problem in the qmake structure
  * Updated documentation for the QAudioRecorder class
  * Updated audio recorder example with screenshot and correct information.
  * Made QRadioData bind to QRadioTuner to avoid using multiple services
  * Updated declarative components to use the QML module
  * Updated plugins to use new plugin architecture
  * Updated IID, services, and controls to use qt-project URL
  * Marked media service provide test as insignificant on mac
  * Fixed media service provider auto test on Mac OS X
  * Moved video plugins around to prevent accidental unloading
  * Add typeinfo for the declarative plugin for Qt Multimedia
  * Added typeinfo for audio engine
  * Updated a lot of minor fixes to the docs and removed warnings from qdoc
  * Split gstreamer plugin into smaller plugins providing fewer services

  [ Jason McDonald ]
  * Replace outdated license headers.
  * Remove obsolete testlib files from .gitignore
  * Remove SkipMode parameter from QSKIP.
  * Cleanup multimedia unit tests.
  * Remove duplicates of QTRY_VERIFY and QTRY_COMPARE.
  * Remove unused QTRY_WAIT macros.
  * Update copyright year in license headers.
  * Update year in Nokia copyright headers.
  * Update obsolete contact address.
  * Remove "All rights reserved" line from license headers.
  * Remove duplicates definitions of QTRY_VERIFY and QTRY_COMPARE.
  * Add bug numbers to insignificant tests.
  * Remove insignificant_test marker for maemo platform.

  [ Yuchen Deng ]
  * Build fix on Windows
  * Add .gitignore file

  [ Sami Rosendahl ]
  * Deliver GStreamer signals through Qt event loop
  * Add deleteLater() test to tst_qmediaplayerbackend

  [ Marius Storm-Olsen ]
  * Compile on Windows

  [ Kalle Juhani Lehtonen ]
  * Fix qwavedecoder test data deployment on device
  * Update Qt Multimedia tests to use TESTDATA
  * Add use of TESTDATA feature to integration tests

  [ Gareth Stockwell ]
  * Fixed a typo in the WMF backend which caused a compilation failure
  * Fixed directshow config test
  * Add qmlvideo and qmlvideofx examples
  * Express qmlvideofx effect parameters declaratively
  * Tidy up file browsing in video examples
  * Tidy up frame rate display in video examples
  * Enable qmlvideofx window to be resized, when large screen layout used
  * Fixed 'magnify' shader in qmlvideofx example
  * Improve usability of qmlvideofx example on small touchscreens
  * Disable flicking of qmlvideofx example parameter panel
  * Fix shader file loading in qmlvideofx example
  * Updated qmlvideofx to use MediaPlayer.autoPlay instead of playing
  * Use small-screen layout in qmlvideo, qmlvideofx examples on Harmattan

  [ Casper van Donderen ]
  * Merge demos and examples.
  * Remove the usage of deprecated qdoc macros.

  [ Bradley T. Hughes ]
  * Use QAtomicInt::load() and ::store()
  * Don't use QT_ARCH to detect ARM or OpenGL ES 2 on ARM

  [ Peter Yard ]
  * Fix up various doc issues.
  * Docs: fix qml links and standalone build for Multimedia

  [ Rohan McGovern ]
  * Fixed compile; removed useless use of qRound with integers
  * tests: eliminated usage of qttest_p4.prf
  * tests: eliminated usage of qttest_p4.prf
  * Fixed compile; QDesktopServices -> QStandardPaths
  * Don't ignore debug plugins on Mac when release plugins aren't available
  * sync.profile: introduce dependency on qtjsbackend
  * Use relative instead of absolute SUBDIRS, as usual.
  * Fixed compile of quicktime plugin
  * Fixed unreliable enabling of doc snippets
  * Fixed compile of doc snippets on Windows.
  * Fixed compile.

  [ Alexis Menard ]
  * Fix build for the camera support of QtMultimedia GStreamer plugin.

  [ hawcroft ]
  * Add install rule for plugins
  * Needs widgets module to build.
  * Add QAudioOutput volume API and pulseaudio backend implementation.
  * Update audiooutput example with volume slider
  * bail out in case of missing descriptors
  * Auto test for private class QWaveDecoder
  * only corrupt 'data' descriptor nothing else

  [ Gunnar Sletta ]
  * Compile with refactor
  * add QT+=widgets for tests to run
  * Fix widget dependencies for multimediawidget tests and examples.

  [ Lasse Holmstedt ]
  * Build fix after refactor

  [ Jyri Tahtela ]
  * Update licenseheader text in source files for qtmultimediakit Qt module

  [ Kalle Lehtonen ]
  * Fix for QPainterVideoSurface autotest
  * QMediaPlayer autotest tests for OpenMAX AL even OpenMAX AL is not present

 -- Bardia Moshiri <fakeshell@bardia.tech>  Mon, 29 Apr 2024 20:15:02 +0000

